//	------------------------------------
//	HEADER:	MapFlag.h
//	AUTHOR:	Ian Taylor
//	NOTES:	Header file of Map flag data
//	------------------------------------

FLAG_BEGIN(AD)
	ASPECT_RATIO(10,7)
	STRIPES_V3(3,B,Y,R)
	COLOUR(O)
	VIEWBOX(-46,-69, 46,69)
	CURVE_BEGIN_MIRROR(0,95)
		CURVE_CUBIC_SET(+15,+0, -8,+5, 28,98)
		CURVE_SMOOTH_SET(-2,+10, 25,74)
		CURVE_CUBIC_SET(+10,-5, +0,-8, 41,82)
		CURVE_SMOOTH_SET(+0,+10, 71,81)
		CURVE_CUBIC_SET(+15,+1, +8,+10, 66,52)
		CURVE_CUBIC(+3,+1, -10,+15, 92,40)
		CURVE_SMOOTH_SET(+10,+5, 81,11)
		CURVE_CUBIC_SET(-12,-15, -10,+12, 84,-30)
		CURVE_SMOOTH_SET(+10,+6, 70,-70)
		CURVE_SMOOTH(+0,+10, 18,-80)
		CURVE_CUBIC_SET(+15,-15, +5,+15, 0,-100)
	CURVE_END()
	COLOUR(Y)
	CURVE_BEGIN_MIRROR(0,60)
		CURVE_LINEAR(60,60)
		CURVE_LINEAR(60,-38)
		CURVE_CUBIC_SET(+0,-15, +15,0, 30,-57)
		CURVE_SMOOTH_SET(+5,+5, 0,-63)
	CURVE_END()
	COLOUR(R)
	RECTANGLE(-58,1, 0,58)
	FOR_TRANSLATE(4, +12,+0)
		RECTANGLE(-51,-51, -45,-1)
	FOR_TRANSLATE(3, +16,+0)
		RECTANGLE(8,1, 18,58)
FLAG_END(AD)
FLAG_BEGIN(AE)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,V,W,N)
	BLOCK_V(R, -120,-60)
FLAG_END(AE)
FLAG_BEGIN(AF)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,N,Rp,Vp)
	VIEWBOX(-85,-127, 85,127)
	CURVE_BEGIN_MIRROR(0,39)
		CURVE_CUBIC_SET(+2,0, +2,+2, 1,32)
		CURVE_CUBIC(+2,-1, +5,+6, 5,23)
		CURVE_CUBIC(+3,0, -1,+1, 15,17)
		CURVE_CUBIC(+0,+10, -1,-1, 18,30)
		CURVE_CUBIC(+1,-1, +0,+10, 21,17)
		CURVE_LINEAR_SET(21,-18)
		CURVE_LINEAR(27,-24)
		CURVE_LINEAR(-1,-24)
		CURVE_LINEAR(-1,-10)
		CURVE_LINEAR(10,-10)
		CURVE_CUBIC_SET(+0,+15, +10,+0, 0,10)
	CURVE_END()
	CURVE_BEGIN_MIRROR(0,-34)
		CURVE_CUBIC_SET(+10,+0, -9,-6, 25,-28)
		CURVE_SMOOTH_SET(-2,-15, 40,0)
		CURVE_SMOOTH(-9,-4, 40,40)
		CURVE_SMOOTH(+0,+15, 60,0)
		CURVE_SMOOTH(+10,+10, 45,-40)
		CURVE_SMOOTH(+15,+0, 0,-60)
	CURVE_END()
FLAG_END(AF)
FLAG_BEGIN(AG)
	ASPECT_RATIO(3,2)
	FLOOD(N)
	COLOUR(Y)
	STAR(16, 80,40, 0,24, 0)
	BLOCK_H(Bm, -25,24)
	BLOCK_H(W, -120,-24)
	COLOUR(Rpp)
	TRIANGLE(-120,-120, 0,120)
	TRIANGLE(0,120, 120,-120)
FLAG_END(AG)
FLAG_BEGIN(AI)
	ASPECT_RATIO(2,1)
	FLOOD(Bpp)
	JACK()
	VIEWBOX(7,-85, 113,127)
	COLOUR(W)
	CURVE_BEGIN_MIRROR(0,51)
		CURVE_CUBIC_SET(+15,-11, -15,-11, 51,51)
		CURVE_LINEAR_SET(51,-20)
		CURVE_CUBIC_SET(+0,-5, +5,+15, 46,-44)
		CURVE_LINEAR_SET(0,-44)
	CURVE_END()
	COLOUR(B)
	CURVE_BEGIN_MIRROR(0,-44)
		CURVE_LINEAR(46,-44)
		CURVE_CUBIC_SET(-5,-15, +15,+4, 0,-85)
	CURVE_END()
	COLOUR(O)
	FOR_ROTATE(3)
		CURVE_BEGIN(-6,-7)
			CURVE_CUBIC_SET(-15,+2, -10,-10, -17,25)
			CURVE_SMOOTH_SET(+2,+2, 0,35)
			CURVE_SMOOTH(-10,+8, 20,26)
			CURVE_LINEAR_SET(35,20)
			CURVE_CUBIC_SET(-8,+3, +0,+3, 21,16)
			CURVE_CUBIC(-5,+10, +10,+5, 0,25)
			CURVE_SMOOTH_SET(-4,+8, -5,1)
			CURVE_CUBIC_SET(-6,+1, -1,+3, -5,-7)
		CURVE_END()
	COLOUR(W)
	FOR_ROTATE(3)
		CIRCLE(-14,3, 1)
FLAG_END(AI)
FLAG_BEGIN(AL)
	ASPECT_RATIO(7,5)
	FLOOD(R)
	VIEWBOX(-86,-120, 86,120)
	COLOUR(N)
	CURVE_BEGIN_MIRROR(0,40)
		CURVE_CUBIC_SET(+10,+15, -15,0, 18,61)
		CURVE_SMOOTH_SET(-5,+5, 35,54)
		CURVE_CUBIC_SET(+0,+0, -2,+2, 43,57)
		CURVE_SMOOTH_SET(+10,+0, 25,49)
		CURVE_SMOOTH(+3,+9, 10,40)
		CURVE_SMOOTH(-2,+0, 14,29)
		CURVE_SMOOTH(+1,-7, 14,38)
		CURVE_SMOOTH(-5,+0, 25,47)
		CURVE_SMOOTH(-1,+5, 33,43)
		CURVE_CUBIC_SET(+15,-1, -8,-1, 53,60)
		CURVE_SMOOTH_SET(+15,+0, 33,38)
		CURVE_CUBIC_SET(+15,-3, -6,+2, 54,42)
		CURVE_SMOOTH_SET(+15,-1, 33,33)
		CURVE_CUBIC_SET(+15,-7, -4,+4, 55,31)
		CURVE_SMOOTH_SET(+15,-4, 32,29)
		CURVE_CUBIC_SET(+15,-15, +0,+7, 55,20)
		CURVE_SMOOTH_SET(+15,-8, 31,24)
		CURVE_CUBIC_SET(+10,-15, -1,+4, 55,9)
		CURVE_SMOOTH_SET(+15,-12, 29,18)
		CURVE_CUBIC_SET(+7,-15, +0,+6, 55,-2)
		CURVE_SMOOTH_SET(+15,-15, 27,13)
		CURVE_CUBIC_SET(+5,-15, -5,+10, 52,-14)
		CURVE_SMOOTH_SET(+10,-15, 23,10)
		CURVE_CUBIC_SET(+3,-15, +0,+5, 36,-12)
		CURVE_SMOOTH_SET(+10,-15, 17,5)
		CURVE_CUBIC_SET(+0,-6, -1,+1, 21,-4)
		CURVE_SMOOTH_SET(+5,-5, 14,-1)
		CURVE_CUBIC_SET(+2,-15, -1,+5, 36,-24)
		CURVE_CUBIC(+1,+1, -5,+5, 48,-22)
		CURVE_CUBIC(-4,+0, +1,+1, 43,-26)
		CURVE_CUBIC(+2,+1, -1,+5, 52,-28)
		CURVE_CUBIC(-2,+2, +1,+1, 45,-30)
		CURVE_CUBIC(+3,-2, +5,+5, 42,-40)
		CURVE_CUBIC(+1,+3, +6,-1, 38,-34)
		CURVE_CUBIC(+0,-2, -1,+4, 32,-40)
		CURVE_CUBIC(-4,+5, -1,-6, 32,-28)
		CURVE_CUBIC(-15,+1, +10,-1, 7,-13)
		CURVE_CUBIC(+3,-12, +0,+2, 26,-30)
		CURVE_SMOOTH_SET(+1,+1, 13,-29)
		CURVE_SMOOTH(+2,+2, 22,-37)
		CURVE_SMOOTH(+1,+1, 10,-33)
		CURVE_SMOOTH(+2,+3, 16,-45)
		CURVE_SMOOTH(+1,+1, 4,-36)
		CURVE_SMOOTH(-2,+2, 8,-51)
		CURVE_LINEAR_SET(0,-60)
	CURVE_END()
	COLOUR(R)
	FOR_SCALE(-1,+1)
		CIRCLE(21,56, 1)
FLAG_END(AL)
FLAG_BEGIN(AM)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,R,Bpp,Om)
FLAG_END(AM)
FLAG_BEGIN(AO)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,R,N)
	COLOUR(Y)
	STAR_5L(0,24, 18)
	VIEWBOX(-72,-120, 88,120)
	CURVE_BEGIN(-5,62)
		CURVE_CUBIC_SET(+13,-5, -7,+10, 30,40)
		CURVE_SMOOTH_SET(+0,+15, 44,0)
		CURVE_SMOOTH(+7,+10, 30,-40)
		CURVE_CUBIC_SET(+2,-1, +0,+8, 61,-70)
		CURVE_SMOOTH_SET(+2,-5, 50,-70)
		CURVE_SMOOTH(+2,-1, 10,-45)
		CURVE_LINEAR_SET(10,-53)
		CURVE_CUBIC_SET(-15,-12, +15,-12, -55,-48)
		CURVE_LINEAR_SET(-47,-37)
		CURVE_CUBIC_SET(+15,-11, -15,-9, 3,-41)
		CURVE_LINEAR_SET(-20,-26)
		CURVE_CUBIC_SET(-12,+8, -5,-15, -28,10)
		CURVE_CUBIC(+2,-15, -15,+10, 18,-32)
		CURVE_CUBIC(+10,+15, +0,-13, 29,0)
		CURVE_SMOOTH_SET(+6,-6, 20,29)
		CURVE_SMOOTH(+13,-2, -9,47)
	CURVE_END()
FLAG_END(AO)
FLAG_BEGIN(AQ)
	ASPECT_RATIO(5,3)
	FLOOD(Bpp)
	BLOCK_H(W, -2,2)
	FOR_SCALE(+1,-1)
		CURVE_BEGIN(120,113)
			CURVE_LINEAR(-120,-118)
			CURVE_LINEAR(-120,-113)
			CURVE_LINEAR(120,118)
		CURVE_END()
	FOR_SCALE(+1,-1)
		CURVE_BEGIN(-43,-120)
			CURVE_LINEAR(40,120)
			CURVE_LINEAR(43,120)
			CURVE_LINEAR(-40,-120)
		CURVE_END()
	VIEWBOX(-72,-120, 72,120)
	CIRCLE_L(0,0, 120)
	COLOUR(Bpp)
	CIRCLE_L(0,0, 116)
	COLOUR(W)
	CIRCLE_L(0,0, 80)
	COLOUR(Bpp)
	CIRCLE_L(0,0, 76)
	COLOUR(W)
	FOR_ROTATE(12)
		RECTANGLE(-2,38, 2,120)
	CURVE_BEGIN(-95,53)
		CURVE_CUBIC_SET(-1,-15, -15,+15, -66,7)
		CURVE_CUBIC(-15,-15, -10,-7, -61,-14)
		CURVE_CUBIC(-3,-15, -15,-10, -29,-44)
		CURVE_CUBIC(+3,+1, -5,-1, 12,-50)
		CURVE_CUBIC(-5,-15, -15,+0, 30,-76)
		CURVE_CUBIC(+15,-5, +0,-15, 80,-48)
		CURVE_CUBIC(+15,+15, +15,-5, 95,-6)
		CURVE_CUBIC(+5,+15, +15,-15, 80,23)
		CURVE_CUBIC(+15,+15, +15,+2, 55,65)
		CURVE_CUBIC(-15,+15, +15,+12, -18,70)
		CURVE_CUBIC(-15,-5, +0,+10, -30,40)
		CURVE_CUBIC(-10,-15, +15,-15, -95,53)
	CURVE_END()
	COLOUR(Bpp)
	CIRCLE_L(0,0, 40)
	COLOUR(W)
	CIRCLE_L(0,0, 36)
	COLOUR(Bpp)
	FOR_ROTATE(12)
		RECTANGLE(-2,0, 2,38)
	COLOUR(Bpp)
	CURVE_BEGIN(-2,36)
		CURVE_LINEAR(-2,76)
		CURVE_CUBIC_SET(+10,+4, -5,0, 20,78)
		CURVE_CUBIC(+7,-2, -6,+3, 38,71)
		CURVE_LINEAR_SET(40,74) // 30
		CURVE_LINEAR(44,72) // 30
		CURVE_LINEAR(42,68)
		CURVE_CUBIC_SET(+12,-7, -7,+12, 68,42)
		CURVE_LINEAR_SET(80,49) // 60
		CURVE_LINEAR(82,45) // 60
		CURVE_LINEAR(70,38)
		CURVE_CUBIC_SET(+7,-12, +0,+12, 80,2)
		CURVE_LINEAR_SET(97,2) // 90
		CURVE_LINEAR(96,-2) // 90
		CURVE_LINEAR(80,-2)
		CURVE_CUBIC_SET(+0,-12, +7,+12, 70,-38)
		CURVE_LINEAR_SET(83,-45) // 120
		CURVE_LINEAR(81,-49) // 120
		CURVE_LINEAR(68,-42)
		CURVE_CUBIC_SET(-7,-12, +12,+7, 42,-68)
		CURVE_LINEAR_SET(46,-75) // 150
		CURVE_LINEAR(42,-77) // 150
		CURVE_LINEAR(38,-70)
		CURVE_CUBIC_SET(-6,-3, +3,+1, 26,-76)
		CURVE_LINEAR_SET(20,-74)
		CURVE_CUBIC_SET(+3,+1, -11,-7, 36,-67) // 150
		CURVE_LINEAR_SET(17,-33)
		CURVE_LINEAR(21,-32)
		CURVE_LINEAR(40,-65) // 150
		CURVE_CUBIC_SET(+11,+7, -7,-11, 65,-40) // 120
		CURVE_LINEAR_SET(32,-21)
		CURVE_LINEAR(34,-18)
		CURVE_LINEAR(67,-36) // 120
		CURVE_CUBIC_SET(+7,+11, +0,-10, 76,-2) // 90
		CURVE_LINEAR_SET(38,-2)
		CURVE_LINEAR(38,2)
		CURVE_LINEAR(76,2) // 90
		CURVE_CUBIC_SET(+0,+10, +7,-11, 67,36) // 60
		CURVE_LINEAR_SET(34,18)
		CURVE_LINEAR(32,21)
		CURVE_LINEAR(65,40) // 60
		CURVE_CUBIC_SET(-7,+11, +11,-7, 40,65) // 30
		CURVE_LINEAR_SET(21,32)
		CURVE_LINEAR(17,33)
		CURVE_LINEAR(36,67) // 30
		CURVE_CUBIC_SET(-12,+7, +10,+0, 2,76)
		CURVE_LINEAR_SET(2,38)
	CURVE_END()
	CURVE_BEGIN(2,-36)
		CURVE_LINEAR(2,-49)
		CURVE_LINEAR(-2,-48)
		CURVE_LINEAR(-2,-36)
	CURVE_END()
	CURVE_BEGIN(-17,-33)
		CURVE_LINEAR(-23,-44)
		CURVE_LINEAR(-28,-44)
		CURVE_LINEAR(-21,-32)
	CURVE_END()
	CURVE_BEGIN(-32,-21)
		CURVE_LINEAR(-55,-34)
		CURVE_LINEAR(-57,-31)
		CURVE_LINEAR(-34,-18)
	CURVE_END()
	CURVE_BEGIN(-38,-2)
		CURVE_LINEAR(-72,-2)
		CURVE_LINEAR(-70,2)
		CURVE_LINEAR(-38,2)
	CURVE_END()
	CURVE_BEGIN(-34,18)
		CURVE_LINEAR(-67,36)
		CURVE_CUBIC_SET(-4,-7, +2,+9, -75,16)
		CURVE_LINEAR_SET(-78,19)
		CURVE_CUBIC_SET(+2,+9, -4,-7, -70,38)
		CURVE_LINEAR_SET(-55,34)
		CURVE_LINEAR(-32,21)
	CURVE_END()
	CURVE_BEGIN(-21,32)
		CURVE_LINEAR(-30,48)
		CURVE_LINEAR(-30,56)
		CURVE_LINEAR(-17,33)
	CURVE_END()
FLAG_END(AQ)
FLAG_BEGIN(AR)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,Bm,W,Bm)
	COLOUR(Y)
	STAR(19, 40,20, 0,0, 0)
FLAG_END(AR)
FLAG_BEGIN(AT)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,R,W,R)
FLAG_END(AT)
FLAG_BEGIN(AU)
	ASPECT_RATIO(2,1)
	FLOOD(Bpp)
	JACK()
	STAR(7, 36,16, -60,-60, 0)
	STAR(7, 18,8, 60,82, 0)
	STAR(7, 18,8, 88,32, 0)
	STAR(7, 18,8, 30,17, 0)
	STAR(7, 18,8, 60,-80, 0)
	STAR_5S(73,-7, 12)
FLAG_END(AU)
FLAG_BEGIN(AW)
	ASPECT_RATIO(3,2)
	FLOOD(Bm)
	STAR(4, 40,13, -85,68, 0)
	COLOUR(R)
	STAR(4, 34,11, -85,68, 0)
	BLOCK_H(Y, -53,-40)
	BLOCK_H(Y, -80,-67)
FLAG_END(AW)
FLAG_BEGIN(AZ)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,Bm,Rpp,Vp)
	CIRCLE_L(-8,0, 34)
	COLOUR(Rpp)
	CIRCLE_L(-2,0, 28)
	COLOUR(W)
	STAR(8, 26,13, 10,0, 0)
FLAG_END(AZ)
FLAG_BEGIN(BA)
	ASPECT_RATIO(2,1)
	FLOOD(Bpp)
	CURVE_BEGIN_MIRROR(-80,120)
		CURVE_LINEAR(-76,120)
		CURVE_LINEAR(-74,104)
		CURVE_LINEAR(-80,112)
	CURVE_END()
	FOR_TRANSLATE(7, +15,-30)
		STAR_5L(-65,90, 22)
	CURVE_BEGIN_MIRROR(40,-100)
		CURVE_LINEAR(42,-114)
		CURVE_LINEAR(50,-114)
		CURVE_LINEAR(45,-120)
		CURVE_LINEAR(40,-120)
	CURVE_END()
	COLOUR(Y)
	TRIANGLE(63,120, -56,-120)
FLAG_END(BA)
FLAG_BEGIN(BB)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,B,Y,B)
	COLOUR(N)
	CURVE_BEGIN_MIRROR(0,45)
		CURVE_LINEAR(-3,38)
		CURVE_LINEAR(-7,34)
		CURVE_LINEAR(-4,29)
		CURVE_LINEAR(-4,-14)
		CURVE_LINEAR(-9,-14)
		CURVE_LINEAR(-14,32)
		CURVE_LINEAR(-11,31)
		CURVE_LINEAR(-19,41)
		CURVE_LINEAR(-31,47)
		CURVE_LINEAR(-24,32)
		CURVE_LINEAR(-18,11)
		CURVE_LINEAR(-13,-26)
		CURVE_LINEAR(-4,-26)
		CURVE_LINEAR(-4,-46)
		CURVE_LINEAR(0,-46)
	CURVE_END()
FLAG_END(BB)
FLAG_BEGIN(BD)
	ASPECT_RATIO(5,3)
	FLOOD(Vp)
	COLOUR(R)
	CIRCLE_L(-12,0, 80)
FLAG_END(BD)
FLAG_BEGIN(BE)
	ASPECT_RATIO(15,13)
	STRIPES_V3(3,N,Y,R)
FLAG_END(BE)
FLAG_BEGIN(BF)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,R,V)
	COLOUR(Y)
	STAR_5L(0,-3, 36)
FLAG_END(BF)
FLAG_BEGIN(BG)
	ASPECT_RATIO(5,3)
	STRIPES_H3(3,W,V,R)
FLAG_END(BG)
FLAG_BEGIN(BH)
	ASPECT_RATIO(5,3)
	FLOOD(R)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-60,120)
		CURVE_LINEAR(-24,96)
		CURVE_LINEAR(-60,72)
		CURVE_LINEAR(-24,48)
		CURVE_LINEAR(-60,24)
		CURVE_LINEAR(-24,0)
		CURVE_LINEAR(-60,-24)
		CURVE_LINEAR(-24,-48)
		CURVE_LINEAR(-60,-72)
		CURVE_LINEAR(-24,-96)
		CURVE_LINEAR(-60,-120)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
FLAG_END(BH)
FLAG_BEGIN(BI)
	ASPECT_RATIO(5,3)
	FLOOD(R)
	COLOUR(V)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(120,-120)
		CURVE_LINEAR(120,120)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(W)
	DIAGONAL(3, 20)
	CIRCLE_L(0,0, 72)
	COLOUR(V)
	FOR_ROTATE(3)
		STAR(6, 18,11, 0,35, 0)
	COLOUR(R)
	FOR_ROTATE(3)
	   STAR(6, 12,7, 0,35, 0)
FLAG_END(BI)
FLAG_BEGIN(BJ)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,Y,R)
	BLOCK_V(V, -120,-24)
FLAG_END(BJ)
FLAG_BEGIN(BM)
	ASPECT_RATIO(2,1)
	FLOOD(Rp)
	JACK()
	VIEWBOX(0,-120, 120,120)
	RECTANGLE(-54,-25, 54,67)
	COLOUR(V)
	CURVE_BEGIN(54,-25)
		CURVE_CUBIC_SET(+0,-15, +15,+4, 0,-67)
		CURVE_CUBIC(-15,+4, +0,-15, -54,-25)
	CURVE_END()
	COLOUR(Rp)
	CURVE_BEGIN_MIRROR(0,59)
		CURVE_CUBIC_SET(+4,0, -2,-4, 11,63)
		CURVE_CUBIC(-4,-10, +0,+15, 16,33)
		CURVE_CUBIC(+15,-3, -10,+6, 35,36)
		CURVE_SMOOTH_SET(-15,-1, 35,5)
		CURVE_SMOOTH(+15,-2, 35,-15)
		CURVE_SMOOTH(-15,+1, 32,-35)
		CURVE_CUBIC_SET(+2,-2, +2,-2, 18,-40)
		CURVE_CUBIC(-5,+15, +5,+0, 0,-30)
	CURVE_END()
	COLOUR(Bpp)
	CURVE_BEGIN_MIRROR(0,30)
		CURVE_CUBIC_SET(+15,0, -10,-10, 38,30)
		CURVE_CUBIC(-2,-2, -2,+2, 40,16)
		CURVE_CUBIC(-15,+0, +3,+15, 36,-14)
		CURVE_SMOOTH_SET(-1,+15, 8,-40)
		CURVE_CUBIC_SET(-2,+1, +2,0, 0,-38)
	CURVE_END()
	COLOUR(W)
	FOR_SCALE(-1,+1)
		CIRCLE(4,54, 1)
FLAG_END(BM)
FLAG_BEGIN(BN)
	ASPECT_RATIO(2,1)
	FLOOD(Y)
	CURVE_BEGIN(-120,103)
		CURVE_LINEAR(120,3)
		CURVE_LINEAR(120,-55)
		CURVE_LINEAR(-120,45)
	CURVE_END()
	COLOUR(N)
	CURVE_BEGIN(-120,47)
		CURVE_LINEAR(120,-53)
		CURVE_LINEAR(120,-103)
		CURVE_LINEAR(-120,-3)
	CURVE_END()
	VIEWBOX(-40,-80, 40,80)
	COLOUR(O)
	CIRCLE_L(0,-16, 69)
	COLOUR(W)
	CIRCLE_L(0,0, 55)
	COLOUR(N)
	CURVE_BEGIN(-55,7)
		CURVE_CUBIC_SET(-3,-15, -15,+11, -34,-44)
		CURVE_SMOOTH_SET(-15,-8, 21,-52)
		CURVE_SMOOTH(-3,-15, 53,-16)
	CURVE_END()
	COLOUR(O)
	CURVE_BEGIN_MIRROR(0,110)
		CURVE_CUBIC_SET(+3,+0, +0,+15, 2,78)
		CURVE_CUBIC(+15,+0, +3,+15, 17,58)
		CURVE_CUBIC(-4,+10, +4,+10, 8,58)
		CURVE_CUBIC(-4,+10, +0,+15, 3,51)
		CURVE_CUBIC(+15,+5, -15,-3, 68,40)
		CURVE_CUBIC(-10,-15, +15,-10, 4,25)
		CURVE_LINEAR_SET(4,15)
		CURVE_CUBIC_SET(+15,0, -4,+15, 14,-52)
		CURVE_CUBIC(+0,-15, +0,-15, -14,-52)
	CURVE_END()
	CURVE_BEGIN_MIRROR(0,-90)
		CURVE_CUBIC_SET(+15,+0, -15,-15, 50,-70)
		CURVE_CUBIC(+10,+10, -6,+10, 63,-82)
		CURVE_CUBIC(+5,+3, -2,-4, 70,-76)
		CURVE_CUBIC(+1,-10, -5,+10, 84,-95)
		CURVE_CUBIC(-15,+12, +15,-8, 32,-106)
		CURVE_CUBIC(-15,-8, +3,+0, 0,-112)
	CURVE_END()
	FOR_SCALE(-1,+1)
		CURVE_BEGIN(80,-48)
			CURVE_CUBIC_SET(+0,+15, -10,-7, 88,3)
			CURVE_SMOOTH_SET(-3,-8, 102,20)
			CURVE_SMOOTH(+0,+8, 120,22)
			CURVE_SMOOTH(+12,+8, 108,-10)
			CURVE_SMOOTH(+0,+15, 101,-48)
			CURVE_CUBIC_SET(+5,+1, +5,+3, 102,-68)
			CURVE_SMOOTH_SET(+5,-3, 81,-68)
			CURVE_SMOOTH(-5,+1, 80,-48)
		CURVE_END()
	CURVE_BEGIN(0,100)
		CURVE_CUBIC_SET(+15,+0, -15,+1, 23,91)
		CURVE_CUBIC(-10,-7, -5,+10, 20,79)
		CURVE_CUBIC(-15,+1, +15,+0, 0,85)
	CURVE_END()
	CIRCLE(0,107, 6)
FLAG_END(BN)
FLAG_BEGIN(BO)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,R,Y,V)
FLAG_END(BO)
FLAG_BEGIN(BR)
	ASPECT_RATIO(10,7)
	FLOOD(Vp)
	COLOUR(Y)
	CURVE_BEGIN(0,91)
		CURVE_LINEAR(100,0)
		CURVE_LINEAR(0,-91)
		CURVE_LINEAR(-100,0)
	CURVE_END()
	VIEWBOX(-42,-60, 42,60)
	COLOUR(Bpp)
	CIRCLE_L(0,0, 120)
	COLOUR(W)
	CURVE_BEGIN(-112,45)
		CURVE_CUBIC_SET(+15,+2, -15,0, -60,48)
		CURVE_SMOOTH_SET(-15,+3, +0,40)
		CURVE_SMOOTH(-15,+7, +60,19)
		CURVE_SMOOTH(-15,+13, 119,-20)
		CURVE_CUBIC_SET(-1,-5, +3,+5, 114,-39)
		CURVE_CUBIC(-15,+13, +15,-7, +60,-2)
		CURVE_SMOOTH_SET(+15,-3, +0,22)
		CURVE_SMOOTH(+15,+0, -60,30)
		CURVE_SMOOTH(+15,+2, -118,27)
		CURVE_CUBIC_SET(+1,+5, -2,-5, -112,45)
	CURVE_END()
	STAR_5S(37,37, 6)
	STAR_5S(-100,17, 6)
	STAR_5S(30,5, 5)
	STAR_5S(-44,-4, 5)
	STAR_5S(0,-20, 5)
	STAR_5S(12,-32, 5)
	STAR_5S(-15,-34, 5)
	STAR_5S(-92,-30, 6)
	STAR_5S(-78,-22, 5)
	STAR_5S(-105,-42, 5)
	STAR_5S(-65,-41, 6)
	STAR_5S(-67,-55, 6)
	STAR_5S(-48,-69, 7)
	STAR_5S(-6,-40, 4)
	STAR_5S(0,-56, 6)
	STAR_5S(85,-43, 6)
	STAR_5S(101,-41, 5)
	STAR_5S(90,-55, 5)
	STAR_5S(81,-64, 5)
	STAR_5S(71,-70, 5)
	STAR_5S(60,-67, 5)
	STAR_5S(60,-79, 5)
	STAR_5S(60,-91, 5)
	STAR_5S(45,-70, 5)
	STAR_5S(36,-84, 5)
	STAR_5S(25,-67, 5)
	STAR_5S(1,-97, 3)
FLAG_END(BR)
FLAG_BEGIN(BS)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,Bm,Y,Bm)
	COLOUR(N)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-16,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
FLAG_END(BS)
FLAG_BEGIN(BT)
	ASPECT_RATIO(3,2)
	FLOOD(Y)
	COLOUR(O)
	TRIANGLE(-120,120, 120,-120)
	COLOUR(W)
	CURVE_BEGIN(-80,-75)
		CURVE_CUBIC_SET(+15,+15, -10,-15, -38,-30)
		CURVE_SMOOTH_SET(-15,+3, -10,15)
		CURVE_SMOOTH(+0,-3, 15,10)
		CURVE_SMOOTH(+0,-15, 5,42)
		CURVE_SMOOTH(-15,+0, 30,71)
		CURVE_SMOOTH(-15,+5, 59,61)
		CURVE_CUBIC_SET(+0,+15, -5,-5, 68,87)
		CURVE_CUBIC(-15,-15, -15,+3, 80,60)
		CURVE_CUBIC(-15,+1, -5,+15, 60,44)
		CURVE_CUBIC(-15,+4, +5,+5, 43,45)
		CURVE_CUBIC(+15,-6, +15,-10, 40,39)
		CURVE_SMOOTH_SET(+0,+5, 23,37)
		CURVE_SMOOTH(-2,-10, 54,27)
		CURVE_SMOOTH(+0,+8, 70,19)
		CURVE_SMOOTH(+5,-2, 54,12)
		CURVE_SMOOTH(+15,-3, 32,10)
		CURVE_CUBIC_SET(+5,-10, +0,+2, 25,-21)
		CURVE_SMOOTH_SET(-5,+0, 36,-27)
		CURVE_SMOOTH(+0,+15, 54,-42)
		CURVE_SMOOTH(-1,-10, 35,-36)
		CURVE_CUBIC_SET(-15,+0, +0,-6, 15,-15)
		CURVE_CUBIC(-15,+1, +15,+0, -11,-7)
		CURVE_SMOOTH_SET(-2,+3, -19,-28)
		CURVE_CUBIC_SET(+15,+6, +0,+5, -2,-37)
		CURVE_SMOOTH_SET(+15,-5, -19,-40)
		CURVE_CUBIC_SET(-3,-8, +0,+15, -13,-76)
		CURVE_SMOOTH_SET(-12,-15, -24,-63)
		CURVE_CUBIC_SET(-2,+15, +1,-15, -29,-39)
		CURVE_CUBIC(-15,-15, +15,+5, -80,-75)
	CURVE_END()
FLAG_END(BT)
FLAG_BEGIN(BW)
	ASPECT_RATIO(3,2)
	FLOOD(Bm)
	BLOCK_H(W, -30,30)
	BLOCK_H(N, -20,20)
FLAG_END(BW)
FLAG_BEGIN(BY)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,R,R,V)
	BLOCK_V(W, -120,-93)
	COLOUR(R)
	FOR_TRANSLATE(4, +0,+60)
		FOR_TRANSLATE(2, +11,+0)
			CURVE_BEGIN(-112,-119)
				CURVE_LINEAR(-117,-90)
				CURVE_LINEAR(-112,-61)
				CURVE_LINEAR(-107,-90)
			CURVE_END()
FLAG_END(BY)
FLAG_BEGIN(BZ)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	BLOCK_H(B, -96,96)
	VIEWBOX(-80,-120, 80,120)
	CIRCLE_L(0,0, 84)
	COLOUR(V)
	CIRCLE_L(0,0, 72)
	COLOUR(W)
	CIRCLE_L(0,0, 70)
	COLOUR(V)
	FOR_ROTATE_L(25)
		CURVE_BEGIN(0,72)
			CURVE_CUBIC_SET(-5,+5, +7,+0, -15,78)
			CURVE_CUBIC(+5,-5, -7,+0, 0,71)
			CURVE_CUBIC(-7,+0, +5,+5, -15,65)
			CURVE_CUBIC(+7,+0, -5,-5, 0,70)
		CURVE_END()
	COLOUR(Gm)
	CURVE_BEGIN(0,38)
		CURVE_LINEAR(0,9)
		CURVE_LINEAR(-29,-21)
		CURVE_CUBIC_SET(-8,+15, +0,-15, -36,38)
	CURVE_END()
	COLOUR(Y)
	CURVE_BEGIN(36,38)
		CURVE_CUBIC_SET(+0,-15, +8,+15, 29,-21)
		CURVE_LINEAR_SET(0,9)
		CURVE_LINEAR(0,38)
	CURVE_END()
	COLOUR(Bpp)
	CURVE_BEGIN(0,9)
		CURVE_LINEAR(29,-21)
		CURVE_CUBIC_SET(-8,-15, +15,+8, 0,-50)
		CURVE_CUBIC(-15,+8, +8,-15, -29,-21)
	CURVE_END()
FLAG_END(BZ)
FLAG_BEGIN(CA)
	ASPECT_RATIO(2,1)
	FLOOD(R)
	BLOCK_V(W, -60,60)
	COLOUR(R)
	CURVE_BEGIN_MIRROR(0,106)
		CURVE_LINEAR(-10,70)
		CURVE_LINEAR(-19,81)
		CURVE_LINEAR(-14,18)
		CURVE_LINEAR(-29,51)
		CURVE_LINEAR(-32,35)
		CURVE_LINEAR(-48,41)
		CURVE_LINEAR(-43,4)
		CURVE_LINEAR(-50,-2)
		CURVE_LINEAR(-23,-45)
		CURVE_LINEAR(-28,-62)
		CURVE_LINEAR(-2,-56)
		CURVE_LINEAR(-3,-108)
		CURVE_LINEAR(0,-108)
	CURVE_END()
FLAG_END(CA)
FLAG_BEGIN(CD)
	ASPECT_RATIO(3,2)
	FLOOD(Bm)
	COLOUR(Y)
	CURVE_BEGIN(-120,-120)
		CURVE_LINEAR(-120,-48)
		CURVE_LINEAR(106,120)
		CURVE_LINEAR(120,120)
		CURVE_LINEAR(120,48)
		CURVE_LINEAR(-106,-120)
	CURVE_END()
	STAR_5L(-84,66, 40)
	COLOUR(R)
	CURVE_BEGIN(-120,-120)
		CURVE_LINEAR(-120,-60)
		CURVE_LINEAR(120,120)
		CURVE_LINEAR(120,60)
	CURVE_END()
FLAG_END(CD)
FLAG_BEGIN(CF)
	ASPECT_RATIO(3,2)
	STRIPES_H4(4,B,W,V,Y)
	BLOCK_V(R, -20,20)
	COLOUR(Y)
	STAR_5L(-90,90, 26)
FLAG_END(CF)
FLAG_BEGIN(CG)
	ASPECT_RATIO(3,2)
	FLOOD(Y)
	COLOUR(V)
	TRIANGLE(40,-120, -120,120)
	COLOUR(R)
	TRIANGLE(-40,120, 120,-120)
FLAG_END(CG)
FLAG_BEGIN(CH)
	ASPECT_RATIO(1,1)
	FLOOD(R)
	RECTANGLE(-24,-72, 24,72)
	RECTANGLE(-72,-24, 72,24)
FLAG_END(CH)
FLAG_BEGIN(CI)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,O,W,V)
FLAG_END(CI)
FLAG_BEGIN(CK)
	ASPECT_RATIO(2,1)
	FLOOD(Bpp)
	JACK()
	VIEWBOX(0,-120, 120,120)
	FOR_ROTATE(15)
		STAR_5S(0,82, 16)
FLAG_END(CK)
FLAG_BEGIN(CL)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,W,R)
	COLOUR(Bpp)
	RECTANGLE(-120,0, -40,120)
	COLOUR(W)
	STAR_5L(-80,60, 35)
FLAG_END(CL)
FLAG_BEGIN(CM)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,V,R,Y)
	COLOUR(Y)
	STAR_5L(0,-3, 36)
FLAG_END(CM)
FLAG_BEGIN(CN)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	COLOUR(Y)
	STAR_5L(-80,60, 36)
	STAR(5, 12,0, -40,100, 18)
	STAR(5, 12,0, -24,75, 45)
	STAR(5, 12,0, -24,37, 63)
	STAR(5, 12,0, -40,12, 18)
FLAG_END(CN)
FLAG_BEGIN(CO)
	ASPECT_RATIO(3,2)
	STRIPES_H4(4,Y,Y,B,R)
FLAG_END(CO)
FLAG_BEGIN(CR)
	ASPECT_RATIO(5,3)
	FLOOD(Bpp)
	BLOCK_H(W, -80,80)
	BLOCK_H(R, -40,40)
FLAG_END(CR)
FLAG_BEGIN(CU)
	ASPECT_RATIO(2,1)
	STRIPES_H2(5,Bpp,W)
	COLOUR(R)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-13,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(W)
	STAR_5L(-85,-3, 40)
FLAG_END(CU)
FLAG_BEGIN(CV)
	ASPECT_RATIO(3,2)
	FLOOD(Bpp)
	BLOCK_H(W, -60,0)
	BLOCK_H(R, -40,-20)
	COLOUR(Y)
	VIEWBOX(-90,-120, 30,60)
	FOR_ROTATE(5)
		STAR_5S(0,75, 15)
	FOR_ROTATE(5)
		STAR_5S(0,-75, 15)
FLAG_END(CV)
FLAG_BEGIN(CY)
	ASPECT_RATIO(5,3)
	FLOOD(W)
	COLOUR(Om)
	FOR_SCALE(+1, +1.667)
		CURVE_BEGIN(54,39)
			CURVE_CUBIC_SET(-15,-12, -15,+15, 32,4)
			CURVE_CUBIC(-7,-4, +0,+6, 13,2)
			CURVE_SMOOTH_SET(+15,+0, -10,-9)
			CURVE_CUBIC_SET(-5,-10, +5,-7, -20,-10)
			CURVE_CUBIC(-15,-2, +3,-15, -44,13)
			CURVE_CUBIC(+10,-5, -15,+1, -21,17)
			CURVE_CUBIC(+3,+0, +2,-15, -15,28)
			CURVE_CUBIC(+15,-6, -15,-10, 37,32)
		CURVE_END()
	COLOUR(V)
	FOR_SCALE(-1, +1.667)
		CURVE_BEGIN(-5,-39)
			CURVE_LINEAR(30,-23)
			CURVE_CUBIC_SET(+2,+2, -4,+1, 36,-19)
			CURVE_CUBIC(-1,-2, +4,+0, 30,-24)
			CURVE_LINEAR_SET(-5,-40)
		CURVE_END()
	FOR_SCALE(-1, +1.667)
		FOR_TRANSLATE(4, +6,+3)
			CURVE_BEGIN(13,-39)
				CURVE_CUBIC_SET(-7,+0, -5,-5, 9,-28)
				CURVE_CUBIC(+1,-3, +2,+3, 7,-35)
				CURVE_CUBIC(+3,+0, -2,+3, 13,-39)
			CURVE_END()
FLAG_END(CY)
FLAG_BEGIN(CZ)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,W,R)
	COLOUR(B)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(0,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
FLAG_END(CZ)
FLAG_BEGIN(DE)
	ASPECT_RATIO(5,3)
	STRIPES_H3(3,N,R,Om)
FLAG_END(DE)
FLAG_BEGIN(DJ)
	ASPECT_RATIO(38,21)
	STRIPES_H2(2,Bm,V)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(0,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(Rp)
	STAR_5L(-80,-3, 24)
FLAG_END(DJ)
FLAG_BEGIN(DK)
	ASPECT_RATIO(37,28)
	FLOOD(R)
	CROSS(W, 14, -29)
FLAG_END(DK)
FLAG_BEGIN(DM)
	ASPECT_RATIO(2,1)
	FLOOD(V)
	CROSS(W, 18, 0)
	BLOCK_V(Y, -18,0)
	BLOCK_H(Y, 0,36)
	CROSS(N, 6, 0)
	COLOUR(R)
	CIRCLE_L(0,0, 72)
	COLOUR(Y)
	FOR_ROTATE(10)
		STAR_5S(0,54, 16)
	COLOUR(V)
	FOR_ROTATE(10)
		STAR_5S(0,54, 10)
	COLOUR(B)
	CURVE_BEGIN(-8,28)
		CURVE_CUBIC_SET(+0,+2, -4,+0, -5,37)
		CURVE_CUBIC(+1,+3, -3,+0, 0,41)
		CURVE_SMOOTH_SET(-1,+15, 6,15)
		CURVE_CUBIC_SET(+6,-15, -1,+15, 13,-31)
		CURVE_CUBIC(-5,+5, +5,+15, 9,-43)
		CURVE_CUBIC(-3,+9, +1,-6, 5,-30)
		CURVE_CUBIC(-15,-1, -15,+0, 0,-20)
		CURVE_CUBIC(-5,+15, +0,-15, -6,10)
		CURVE_SMOOTH_SET(+1,-15, -5,30)
	CURVE_END()
	COLOUR(R)
	CIRCLE(-2,36, 1)
FLAG_END(DM)
FLAG_BEGIN(DO)
	ASPECT_RATIO(23,15)
	FLOOD(R)
	COLOUR(Bpp)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(0,120)
		CURVE_LINEAR(0,-120)
		CURVE_LINEAR(120,-120)
		CURVE_LINEAR(120,0)
		CURVE_LINEAR(-120,0)
	CURVE_END()
	CROSS(W, 12, 0)
	COLOUR(Bpp)
	CURVE_BEGIN(-7,14)
		CURVE_LINEAR(-1,14)
		CURVE_LINEAR(-1,2)
		CURVE_LINEAR(-6,2)
		CURVE_LINEAR(-6,13)
	CURVE_END()
	CURVE_BEGIN(1,-2)
		CURVE_LINEAR(1,-14)
		CURVE_CUBIC_SET(+5,+5, +0,-11, 6,-2)
	CURVE_END()
	COLOUR(R)
	CURVE_BEGIN(-1,-2)
		CURVE_LINEAR(-1,-14)
		CURVE_CUBIC_SET(-5,+5, +0,-11, -6,-2)
	CURVE_END()
	CURVE_BEGIN(7,14)
		CURVE_LINEAR(1,14)
		CURVE_LINEAR(1,2)
		CURVE_LINEAR(6,2)
		CURVE_LINEAR(6,13)
	CURVE_END()
FLAG_END(DO)
FLAG_BEGIN(DZ)
	ASPECT_RATIO(3,2)
	STRIPES_V2(2,Vp,W)
	COLOUR(R)
	CIRCLE_L(0,0, 70)
	COLOUR(W)
	CIRCLE_L(13,0, 52)
	COLOUR(R)
	STAR(5, 36,0, 20,0, 60)
	COLOUR(Vp)
	CURVE_BEGIN(0,-49)
		CURVE_CUBIC_SET(-9,+6, +5,-13, -18,-24)
		CURVE_SMOOTH_SET(-5,-13, -18,24)
		CURVE_SMOOTH(-9,-6, 0,49)
	CURVE_END()
FLAG_END(DZ)
FLAG_BEGIN(EC)
	ASPECT_RATIO(2,1)
	STRIPES_H4(4,Y,Y,B,R)
FLAG_END(EC)
FLAG_BEGIN(EE)
	ASPECT_RATIO(11,7)
	STRIPES_H3(3,Bm,N,W)
FLAG_END(EE)
FLAG_BEGIN(EG)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,R,W,N)
	COLOUR(Om)
	CURVE_BEGIN(-16,20)
		CURVE_CUBIC_SET(+1,+11, +0,-12, -5,26)
		CURVE_SMOOTH_SET(+3,-3, -10,32)
		CURVE_CUBIC_SET(+3,+10, +0,+12, 5,26)
		CURVE_SMOOTH_SET(-1,+11, 16,20)
		CURVE_LINEAR_SET(18,-24)
		CURVE_CUBIC_SET(-10,+15, -10,+15, 15,-26)
		CURVE_CUBIC(+2,-3, +15,+0, 0,-36)
		CURVE_SMOOTH_SET(-2,-3, -15,-26)
		CURVE_CUBIC_SET(+10,+15, +10,+15, -18,-24)
	CURVE_END()
FLAG_END(EG)
FLAG_BEGIN(EH)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,N,W,V)
	COLOUR(R)
	CURVE_BEGIN(120,-120)
		CURVE_LINEAR(40,0)
		CURVE_LINEAR(120,120)
	CURVE_END()
	CIRCLE_L(0,0, 29)
	COLOUR(W)
	CIRCLE_L(-5,0, 29)
	COLOUR(R)
	STAR_5L(-2,0, 24)
FLAG_END(EH)
FLAG_BEGIN(ER)
	ASPECT_RATIO(2,1)
	STRIPES_H2(2,V,B)
	COLOUR(R)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(120,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	VIEWBOX(-120,-120, 0,120)
	COLOUR(Y)
	CURVE_BEGIN_MIRROR(0,-66)
		CURVE_LINEAR(12,-66)
		CURVE_CUBIC_SET(+0,+5, +5,+0, 6,-57)
		CURVE_CUBIC(+15,+0, -15,-11, 55,-41)
		CURVE_CUBIC(-15,+0, +5,-15, 70,-9)
		CURVE_CUBIC(-15,-15, +10,-15, 66,11)
		CURVE_CUBIC(-10,-15, +12,-15, 60,40)
		CURVE_CUBIC(-1,-15, +15,-15, 46,54)
		CURVE_CUBIC(+3,-15, +15,-10, 20,68)
		CURVE_CUBIC(+1,-5, -5,+5, 28,52)
		CURVE_CUBIC(-6,+4, +15,+2, 3,59)
		CURVE_CUBIC(+15,-15, -15,+5, 30,47)
		CURVE_CUBIC(-15,-2, +15,+0, 21,47)
		CURVE_CUBIC(+7,-6, -5,-5, 40,44)
		CURVE_CUBIC(+15,-15, +15,-15, 38,40)
		CURVE_CUBIC(+0,-10, -10,+8, 49,20)
		CURVE_CUBIC(+5,-15, +10,-15, 49,7)
		CURVE_CUBIC(-10,-15, +10,-15, 41,-25)
		CURVE_CUBIC(-5,-5, +5,+10, 30,-40)
		CURVE_CUBIC(-15,-5, +15,+3, 3,-50)
		CURVE_CUBIC(+0,+15, +0,-15, 25,-15)
		CURVE_CUBIC(-5,-5, +0,+15, 3,-30)
		CURVE_LINEAR_SET(3,-20)
		CURVE_CUBIC_SET(+0,+15, +0,-15, 20,10)
		CURVE_CUBIC(-5,-5, +0,+15, 3,0)
		CURVE_LINEAR_SET(3,15)
		CURVE_CUBIC_SET(+10,+15, +10,-15, 0,50)
	CURVE_END()
FLAG_END(ER)
FLAG_BEGIN(ES)
	ASPECT_RATIO(3,2)
	STRIPES_H4(4,R,Y,Y,R)
	CURVE_BEGIN(-24,12)
		CURVE_LINEAR(-24,-36)
		CURVE_CUBIC_SET(+0,-15, +0,-15, -56,-36)
		CURVE_LINEAR_SET(-56,12)
	CURVE_END()
	RECTANGLE(-70,-46, -64,12)
	RECTANGLE(-16,-46, -10,12)
	COLOUR(O)
	CURVE_BEGIN_MIRROR(-40,48)
		CURVE_CUBIC_SET(+1,+0, +0,+10, -39,40)
		CURVE_CUBIC(+15,+0, +15,+15, -30,15)
		CURVE_CUBIC(-2,+2, +3,+0, -40,17)
	CURVE_END()
	CURVE_BEGIN(-40,-15)
		CURVE_LINEAR(-40,-36)
		CURVE_CUBIC_SET(+0,-13, +0,-11, -56,-36)
		CURVE_LINEAR_SET(-56,-15)
	CURVE_END()
	COLOUR(R)
	CURVE_BEGIN(-24,-15)
		CURVE_LINEAR(-24,-36)
		CURVE_CUBIC_SET(+0,-11, +0,-13, -40,-36)
		CURVE_LINEAR_SET(-40,-15)
	CURVE_END()
	RECTANGLE(-56,-15, -40,12)
	CIRCLE(-40,-15, 8)
	COLOUR(B)
	CIRCLE(-40,-15, 4)
FLAG_END(ES)
FLAG_BEGIN(ET)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,Vp,Y,R)
	COLOUR(Bm)
	CIRCLE_L(0,0, 60)
	COLOUR(Y)
	STAR(5, 5,56, 0,0, 0)
	STAR_5L(0,0, 52)
	COLOUR(Bm)
	STAR_5L(0,0, 36)
	COLOUR(Y)
	STAR(5, 16,20, 0,0, 0)
	COLOUR(Bm)
	STAR(5, 11,14, 0,0, 0)
FLAG_END(ET)
FLAG_BEGIN(FI)
	ASPECT_RATIO(18,11)
	FLOOD(W)
	CROSS(B, 20, -33)
FLAG_END(FI)
FLAG_BEGIN(FJ)
	ASPECT_RATIO(2,1)
	FLOOD(Bm)
	JACK()
	COLOUR(W)
	CURVE_BEGIN_MIRROR(60,50)
		CURVE_LINEAR(85,50)
		CURVE_LINEAR(85,0)
		CURVE_CUBIC_SET(+0,-15, +15,+10, 60,-60)
	CURVE_END()
	COLOUR(R)
	CURVE_BEGIN_MIRROR(60,60)
		CURVE_LINEAR(85,60)
		CURVE_LINEAR(85,23)
		CURVE_LINEAR(64,23)
		CURVE_LINEAR(64,-3)
		CURVE_LINEAR(85,-3)
		CURVE_CUBIC_SET(+0,-5, +1,+5, 83,-17)
		CURVE_LINEAR_SET(64,-17)
		CURVE_LINEAR(64,-57)
		CURVE_LINEAR(60,-60)
	CURVE_END()
FLAG_END(FJ)
FLAG_BEGIN(FM)
	ASPECT_RATIO(19,10)
	FLOOD(Bm)
	FOR_ROTATE(4)
		STAR_5L(0,68, 24)
FLAG_END(FM)
FLAG_BEGIN(FR)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,Bpp,W,R)
FLAG_END(FR)
FLAG_BEGIN(GA)
	ASPECT_RATIO(4,3)
	STRIPES_H3(3,V,Y,Bm)
FLAG_END(GA)
FLAG_BEGIN(GB)
	ASPECT_RATIO(2,1)
	FLOOD(Bpp)
	DIAGONAL(3, 27)
	COLOUR(Rp)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-9,9)
		CURVE_LINEAR(102,120)
		CURVE_LINEAR(120,120)
		CURVE_LINEAR(9,9)
		CURVE_LINEAR(120,-102)
		CURVE_LINEAR(120,-120)
		CURVE_LINEAR(9,-9)
		CURVE_LINEAR(-102,-120)
		CURVE_LINEAR(-120,-120)
		CURVE_LINEAR(-9,-9)
		CURVE_LINEAR(-120,102)
	CURVE_END()
	CROSS(W, 20, 0)
	CROSS(Rp, 12, 0)
FLAG_END(GB)
FLAG_BEGIN(GD)
	ASPECT_RATIO(5,3)
	FLOOD(R)
	COLOUR(Y)
	RECTANGLE(-96,-84, 96,84)
	COLOUR(V)
	CURVE_BEGIN(-96,84)
		CURVE_LINEAR(96,-84)
		CURVE_LINEAR(96,84)
		CURVE_LINEAR(-96,-84)
	CURVE_END()
	COLOUR(R)
	CIRCLE_L(0,0, 22)
	COLOUR(Y)
	FOR_TRANSLATE(3, +50,0)
	   STAR_5S(-50,101, 16)
	STAR_5L(0,0, 18)
	FOR_TRANSLATE(3, +50,0)
	   STAR_5S(-50,-103, 16)
	CURVE_BEGIN(-88,18)
		CURVE_CUBIC_SET(+10,-10, -5,+5, -73,7)
		CURVE_SMOOTH_SET(+4,+10, -71,-16)
		CURVE_CUBIC_SET(-5,+15, -5,+15, -77,-23)
		CURVE_CUBIC(-15,+3, +1,-15, -88,18)
	CURVE_END()
	COLOUR(R)
	CURVE_BEGIN(-80,-1)
		CURVE_CUBIC_SET(+6,-7, +1,+10, -74,-19)
		CURVE_CUBIC(-6,+4, -1,-10, -80,-1)
	CURVE_END()
FLAG_END(GD)
FLAG_BEGIN(GE)
	ASPECT_RATIO(3,2)
	FLOOD(W)
	CROSS(R, 17, 0)
	COLOUR(R)
	FOR_SCALE(-1,+1)
		FOR_SCALE(+1,-1)
			CURVE_BEGIN_MIRROR(-69,98)
				CURVE_LINEAR(-63,99)
				CURVE_LINEAR(-64,81)
				CURVE_LINEAR(-52,82)
				CURVE_LINEAR(-53,73)
				CURVE_LINEAR(-52,64)
				CURVE_LINEAR(-64,65)
				CURVE_LINEAR(-63,47)
				CURVE_LINEAR(-69,48)
			CURVE_END()
FLAG_END(GE)
FLAG_BEGIN(GF)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,Bpp,W,R)
FLAG_END(GF)
FLAG_BEGIN(GH)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,R,Y,V)
	COLOUR(N)
	STAR_5L(0,-4, 44)
FLAG_END(GH)
FLAG_BEGIN(GI)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,W,W,R)
	COLOUR(R)
	CURVE_BEGIN_MIRROR(0,87)
		CURVE_LINEAR(-9,87)
		CURVE_LINEAR(-11,39)
		CURVE_LINEAR(-13,75)
		CURVE_LINEAR(-28,75)
		CURVE_LINEAR(-30,39)
		CURVE_LINEAR(-33,39)
		CURVE_LINEAR(-33,23)
		CURVE_LINEAR(-30,18)
		CURVE_LINEAR(-34,-18)
		CURVE_LINEAR(-36,-18)
		CURVE_LINEAR(-36,-28)
		CURVE_LINEAR(0,-28)
	CURVE_END()
	COLOUR(Y)
	CURVE_BEGIN(-2,-18)
		CURVE_LINEAR(-2,-91)
		CURVE_LINEAR(-8,-91)
		CURVE_LINEAR(-8,-96)
		CURVE_LINEAR(-5,-96)
		CURVE_LINEAR(-5,-93)
		CURVE_LINEAR(-2,-93)
		CURVE_LINEAR(-2,-104)
		CURVE_LINEAR(-5,-104)
		CURVE_LINEAR(-5,-101)
		CURVE_LINEAR(-8,-101)
		CURVE_LINEAR(-8,-106)
		CURVE_LINEAR(-2,-106)
		CURVE_LINEAR(-2,-112)
		CURVE_LINEAR(2,-112)
		CURVE_LINEAR(2,-18)
	CURVE_END()
	CIRCLE(0,-50, 10)
	COLOUR(R)
	CIRCLE(0,-50, 4)
	COLOUR(N)
	CURVE_BEGIN_MIRROR(0,57)
		CURVE_CUBIC_SET(+3,+0, +0,+3, +4,47)
		CURVE_LINEAR_SET(+4,39)
		CURVE_LINEAR(+0,39)
	CURVE_END()
	CURVE_BEGIN_MIRROR(0,2)
		CURVE_CUBIC_SET(+4,+0, +0,+4, +5,-10)
		CURVE_LINEAR_SET(+5,-18)
		CURVE_LINEAR(+0,-18)
	CURVE_END()
	FOR_TRANSLATE(2, +0,+57)
		FOR_SCALE(-1,+1)
			CURVE_BEGIN(-23,-18)
				CURVE_CUBIC_SET(+0,+15, +0,+15, -18,-18)
			CURVE_END()
FLAG_END(GI)
FLAG_BEGIN(GL)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,W,R)
	CIRCLE_L(-27,0, 80)
	COLOUR(R)
	CURVE_BEGIN(-80,0)
		CURVE_CUBIC_SET(+0,+15, -15,-15, -60,62)
		CURVE_SMOOTH_SET(-15,+0, -27,80)
		CURVE_SMOOTH(-15,+15, 6,62)
		CURVE_SMOOTH(+0,+15, 26,0)
	CURVE_END()
FLAG_END(GL)
FLAG_BEGIN(GM)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,R,W,V)
	BLOCK_H(Bpp, -27,27)
FLAG_END(GM)
FLAG_BEGIN(GN)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,R,Y,V)
FLAG_END(GN)
FLAG_BEGIN(GQ)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,V,W,R)
	COLOUR(Bm)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-67,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	VIEWBOX(-80,-120, 80,120)
	COLOUR(Gm)
	CURVE_BEGIN_MIRROR(0,30)
		CURVE_LINEAR(23,30)
		CURVE_LINEAR(23,-10)
		CURVE_CUBIC_SET(+0,-15, +6,0, 13,-28)
		CURVE_SMOOTH_SET(+1,+6, 0,-33)
	CURVE_END()
	COLOUR(M)
	CURVE_BEGIN_MIRROR(0,-24)
		CURVE_CUBIC_SET(+3,+1, +0,-1, 4,-21)
		CURVE_SMOOTH_SET(+0,-10, 1,0)
		CURVE_SMOOTH(-3,-3, 5,12)
		CURVE_CUBIC_SET(-4,-2, +1,-13, 0,20)
	CURVE_END()
	COLOUR(V)
	CURVE_BEGIN_MIRROR(0,13)
		CURVE_CUBIC_SET(+5,+0, -10,+0, 10,10)
		CURVE_SMOOTH_SET(+8,-1, 9,22)
		CURVE_SMOOTH(+5,0, 0,27)
	CURVE_END()
FLAG_END(GQ)
FLAG_BEGIN(GR)
	ASPECT_RATIO(3,2)
	STRIPES_H2(9,Bpp,W)
	COLOUR(Bpp)
	RECTANGLE(-120,-13, -30,120)
	COLOUR(W)
	RECTANGLE(-120,40, -30,67)
	RECTANGLE(-84,-13, -66,120)
FLAG_END(GR)
FLAG_BEGIN(GT)
	ASPECT_RATIO(8,5)
	STRIPES_V3(3,Bm,W,Bm)
FLAG_END(GT)
FLAG_BEGIN(GU)
	ASPECT_RATIO(41,22)
	FLOOD(R)
	COLOUR(B)
	RECTANGLE(-114,-108, 114,108)
	COLOUR(R)
	CURVE_BEGIN_MIRROR(0,80)
		CURVE_CUBIC_SET(+15,-15, -2,+15, 25,20)
		CURVE_SMOOTH_SET(+2,+15, 25,-20)
		CURVE_SMOOTH(+15,+15, 0,-80)
	CURVE_END()
	COLOUR(Bm)
	CURVE_BEGIN_MIRROR(0,73)
		CURVE_CUBIC_SET(+13,-15, -2,+15, 20,20)
		CURVE_SMOOTH_SET(+2,+15, 20,-20)
		CURVE_LINEAR_SET(0,-20)
	CURVE_END()
	COLOUR(Bpp)
	CURVE_BEGIN(20,-20)
		CURVE_CUBIC_SET(-2,-15, +13,+15, 0,-73)
		CURVE_CUBIC(-13,+15, +2,-15, -20,-20)
	CURVE_END()
FLAG_END(GU)
FLAG_BEGIN(GW)
	ASPECT_RATIO(2,1)
	STRIPES_H2(2,Y,V)
	BLOCK_V(R, -120,-40)
	COLOUR(N)
	STAR_5L(-80,0, 40)
FLAG_END(GW)
FLAG_BEGIN(GY)
	ASPECT_RATIO(5,3)
	FLOOD(V)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(120,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(Y)
	CURVE_BEGIN(-120,104)
		CURVE_LINEAR(90,0)
		CURVE_LINEAR(-120,-104)
	CURVE_END()
	COLOUR(N)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(0,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(R)
	CURVE_BEGIN(-120,104)
		CURVE_LINEAR(-16,0)
		CURVE_LINEAR(-120,-104)
	CURVE_END()
FLAG_END(GY)
FLAG_BEGIN(HK)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	VIEWBOX(-80,-120, 80,120)
	FOR_ROTATE(5)
		CURVE_BEGIN(20,70)
			CURVE_CUBIC_SET(-15,-3, -4,+7, 15,50)
			CURVE_SMOOTH_SET(+12,+8, 2,25)
			CURVE_SMOOTH(-2,+3, -2,2)
			CURVE_CUBIC_SET(-12,+12, -6,-12, -9,39)
			CURVE_CUBIC(-7,-12, -12,+12, -3,1)
			CURVE_CUBIC(-9,+3, +4,-9, -23,20)
			CURVE_SMOOTH_SET(-8,-15, -20,54)
			CURVE_SMOOTH(-15,+3, 20,70)
		CURVE_END()
	COLOUR(R)
	FOR_ROTATE(5)
		STAR(5, 6,0, -3,47, 36)
FLAG_END(HK)
FLAG_BEGIN(HN)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,Bpp,W,Bpp)
	COLOUR(Bpp)
	STAR_5S(-40,20, 16)
	STAR_5S(-40,-20, 16)
	STAR_5S(0,0, 16)
	STAR_5S(40,20, 16)
	STAR_5S(40,-20, 16)
FLAG_END(HN)
FLAG_BEGIN(HR)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,R,W,B)
	COLOUR(R)
	CURVE_BEGIN(24,41)
		CURVE_LINEAR(24,-20)
		CURVE_CUBIC_SET(+0,-15, +14,+0, 0,-60)
		CURVE_SMOOTH_SET(+0,-15, -24,-20)
		CURVE_LINEAR_SET(-24,41)
	CURVE_END()
	COLOUR(W)
	CURVE_BEGIN_MIRROR(0,-20)
		CURVE_LINEAR(5,-20)
		CURVE_LINEAR(5,-40)
		CURVE_LINEAR(15,-40)
		CURVE_LINEAR(15,-20)
		CURVE_LINEAR(23,-20)
		CURVE_CUBIC_SET(+0,-8, +2,+6, 19,-40)
		CURVE_LINEAR_SET(15,-40)
		CURVE_LINEAR(15,-47)
		CURVE_CUBIC_SET(-3,-5, +4,+2, 5,-57)
		CURVE_LINEAR_SET(5,-40)
		CURVE_LINEAR(0,-40)
	CURVE_END()
	FOR_TRANSLATE(2, +20,+0)
		FOR_TRANSLATE(2, +0,+40)
			RECTANGLE(-15,-20, -5,0)
	RECTANGLE(-23,0, -15,20)
	RECTANGLE(-5,0, 5,20)
	RECTANGLE(15,0, 23,20)
	COLOUR(Bm)
	CURVE_BEGIN(-23,42)
		CURVE_CUBIC_SET(+15,+12, -15,+12, 23,42)
		CURVE_LINEAR_SET(28,65)
		CURVE_LINEAR(23,76)
		CURVE_LINEAR(10,70)
		CURVE_LINEAR(0,84)
		CURVE_LINEAR(-10,70)
		CURVE_LINEAR(-23,76)
		CURVE_LINEAR(-28,65)
	CURVE_END()
	COLOUR(Bpp)
	FOR_SCALE(-1,+1)
		CURVE_BEGIN(4,51)
			CURVE_CUBIC_SET(+4,-1, -4,+2, 13,48)
			CURVE_LINEAR_SET(16,73)
			CURVE_LINEAR(12,82)
			CURVE_LINEAR(6,76)
		CURVE_END()
FLAG_END(HR)
FLAG_BEGIN(HT)
	ASPECT_RATIO(5,3)
	STRIPES_H2(2,Bpp,R)
FLAG_END(HT)
FLAG_BEGIN(HU)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,R,W,V)
FLAG_END(HU)
FLAG_BEGIN(ID)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,R,W)
FLAG_END(ID)
FLAG_BEGIN(IE)
	ASPECT_RATIO(2,1)
	STRIPES_V3(3,V,W,O)
FLAG_END(IE)
FLAG_BEGIN(IL)
	ASPECT_RATIO(11,8)
	FLOOD(W)
	BLOCK_H(B, 60,98)
	BLOCK_H(B, -98,-60)
	COLOUR(B)
	STAR(6, 50,29, 0,0, 0)
	COLOUR(W)
	STAR(6, 33,19, 0,0, 0)
	COLOUR(B)
	STAR(6, 25,29, 0,0, 0)
	COLOUR(W)
	STAR(6, 16,18, 0,0, 0)
FLAG_END(IL)
FLAG_BEGIN(IN)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,Y,W,V)
	COLOUR(Bpp)
	CIRCLE_L(0,0, 35)
	COLOUR(W)
	FOR_ROTATE_L(24)
		CURVE_BEGIN(1,6)
			CURVE_LINEAR(1,30)
			CURVE_LINEAR(4,28)
			CURVE_LINEAR(7,29)
		CURVE_END()
FLAG_END(IN)
FLAG_BEGIN(IQ)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,Rp,W,N)
	COLOUR(V)
FLAG_END(IQ)
FLAG_BEGIN(IR)
	ASPECT_RATIO(7,4)
	STRIPES_H3(3,V,W,R)
	VIEWBOX(-69,-120, 69,120)
	COLOUR(R)
	CURVE_BEGIN_MIRROR(0,25)
		CURVE_CUBIC_SET(+2,-2, -2,-2, 7,26)
		CURVE_CUBIC(+0,-4, +2,-2, 0,23)
		CURVE_CUBIC(+0,-2, -2,+2, 3,19)
		CURVE_LINEAR_SET(2,-22)
		CURVE_CUBIC_SET(+15,+10, +10,-15, 10,21)
		CURVE_CUBIC(+15,-15, +15,+5, 5,-23)
		CURVE_CUBIC(+5,+0, -5,-1, 16,-22)
		CURVE_CUBIC(-3,-3, +10,+0, 2,-25)
		CURVE_LINEAR_SET(0,-26)
	CURVE_END()
	FOR_SCALE(-1,+1)
		CURVE_BEGIN(12,23)
			CURVE_CUBIC_SET(+15,-4, +15,+15, 22,-16)
			CURVE_CUBIC(+7,+15, +15,-9, 12,23)
		CURVE_END()
FLAG_END(IR)
FLAG_BEGIN(IS)
	ASPECT_RATIO(25,18)
	FLOOD(B)
	CROSS(W, 20, -33)
	CROSS(R, 10, -33)
FLAG_END(IS)
FLAG_BEGIN(IT)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,V,W,R)
FLAG_END(IT)
FLAG_BEGIN(JM)
	ASPECT_RATIO(2,1)
	FLOOD(V)
	COLOUR(N)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(120,-120)
		CURVE_LINEAR(120,120)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(Y)
	DIAGONAL(3, 23)
FLAG_END(JM)
FLAG_BEGIN(JO)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,N,W,V)
	COLOUR(R)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(0,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(W)
	STAR(7, 20,12, -80,0, 0)
FLAG_END(JO)
FLAG_BEGIN(JP)
	ASPECT_RATIO(3,2)
	FLOOD(W)
	COLOUR(R)
	CIRCLE_L(0,0, 72)
FLAG_END(JP)
FLAG_BEGIN(KE)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,N,Rp,V)
	BLOCK_H(W, 34,46)
	BLOCK_H(W, -46,-34)
	FOR_SCALE(-1,+1)
		CURVE_BEGIN(32,82)
			CURVE_CUBIC_SET(-5,-15, +5,+0, 20,49)
			CURVE_LINEAR_SET(-26,-69)
			CURVE_CUBIC_SET(-2,-5, -2,-5, -28,-68)
			CURVE_LINEAR_SET(19,50)
			CURVE_CUBIC_SET(-4,+3, -6,-15, 32,82)
		CURVE_END()
	COLOUR(Rp)
	CURVE_BEGIN_MIRROR(0,71)
		CURVE_CUBIC_SET(+8,-9, -7,+15, 19,36)
		CURVE_SMOOTH_SET(+7,+15, 19,-36)
		CURVE_SMOOTH(+8,+9, 0,-71)
	CURVE_END()
	COLOUR(N)
	FOR_SCALE(-1,+1)
		CURVE_BEGIN(19,36)
			CURVE_CUBIC_SET(+7,-15, +7,+15, 19,-36)
			CURVE_CUBIC(-7,+15, -7,-15, 19,36)
		CURVE_END()
	COLOUR(W)
	FOR_SCALE(-1,+1)
		FOR_SCALE(+1,-1)
			CURVE_BEGIN(2,66)
				CURVE_CUBIC_SET(+5,-15, +5,+15, 2,9)
			CURVE_END()
	CIRCLE(0,0, 8)
FLAG_END(KE)
FLAG_BEGIN(KG)
	ASPECT_RATIO(5,3)
	FLOOD(R)
	VIEWBOX(-72,-120, 72,120)
	COLOUR(Y)
	CIRCLE_L(0,2, 36)
	COLOUR(R)
	FOR_SCALE(-1,+1)
		CURVE_BEGIN(-15,-32)
			CURVE_CUBIC_SET(+0,+14, -10,-10, 0,8)
			CURVE_SMOOTH_SET(-15,-3, 32,22)
			CURVE_LINEAR_SET(32,24)
			CURVE_CUBIC_SET(-15,-3, +11,+9, 0,12)
			CURVE_SMOOTH_SET(+0,+14, -20,-30)
			CURVE_LINEAR_SET(-23,-30)
			CURVE_CUBIC_SET(+0,+14, -12,-8, 0,16)
			CURVE_SMOOTH_SET(-15,-2, 30,26)
			CURVE_LINEAR_SET(30,28)
			CURVE_CUBIC_SET(-15,-2, +13,+7, 0,20)
			CURVE_SMOOTH_SET(+0,+14, -28,-28)
			CURVE_LINEAR_SET(-31,-28)
			CURVE_CUBIC_SET(+0,+15, -15,-6, 0,24)
			CURVE_SMOOTH_SET(-15,-1, 28,30)
			CURVE_LINEAR_SET(28,32)
			CURVE_CUBIC_SET(-15,+1, +6,+5, -9,22)
			CURVE_SMOOTH_SET(+5,+10, -27,0)
			CURVE_SMOOTH(+1,+15, -36,-32)
		CURVE_END()
	COLOUR(Y)
	FOR_ROTATE_L(40)
		CURVE_BEGIN(-7,42)
			CURVE_CUBIC_SET(+1,+8, +3,-15, 0,72)
			CURVE_CUBIC(+6,-9, +0,+10, 3,42)
		CURVE_END()
FLAG_END(KG)
FLAG_BEGIN(KH)
	ASPECT_RATIO(3,2)
	STRIPES_H4(4,Bpp,Rp,Rp,Bpp)
	COLOUR(W)
	CURVE_BEGIN_MIRROR(0,57)
		CURVE_CUBIC_SET(+15,-15, -5,+15, 14,8)
		CURVE_LINEAR_SET(24,8)
		CURVE_CUBIC_SET(+5,+15, -10,-10, 33,38)
		CURVE_CUBIC(+10,-10, -5,+15, 42,8)
		CURVE_CUBIC(+15,+0, +0,+15, 45,-20)
		CURVE_LINEAR_SET(60,-46)
		CURVE_LINEAR(60,-54)
		CURVE_LINEAR(0,-54)
	CURVE_END()
FLAG_END(KH)
FLAG_BEGIN(KI)
	ASPECT_RATIO(2,1)
	FLOOD(Rp)
	COLOUR(Y)
	STAR(16, 80,40, 0,-8, 0)
	STAR(16, 38,76, 0,-8, 0)
	BLOCK_H(Bpp, -120,-10)
	CURVE_BEGIN(-35,107)
		CURVE_CUBIC_SET(+12,-8, -15,+15, -1,99)
		CURVE_CUBIC(+5,+15, -15,+5, 34,114)
		CURVE_CUBIC(-5,-5, +5,+0, 10,102)
		CURVE_CUBIC(+0,-3, +3,+3, 7,94)
		CURVE_CUBIC(+5,-1, -15,+0, 28,92)
		CURVE_CUBIC(-12,-5, -5,+7, 23,82)
		CURVE_LINEAR_SET(14,84)
		CURVE_CUBIC_SET(-10,-10, +5,-5, -13,82)
		CURVE_SMOOTH_SET(+2,+2, -25,87)
		CURVE_CUBIC_SET(+3,+5, -5,-2, -19,91)
		CURVE_SMOOTH_SET(-6,+5, -9,91)
		CURVE_CUBIC_SET(-1,+12, +4,+0, -26,97)
		CURVE_SMOOTH_SET(+1,-5, -35,107)
	CURVE_END()
	COLOUR(R)
	CIRCLE(-15,91, 1)
	COLOUR(W)
	FOR_TRANSLATE(3, 0,-40)
		CURVE_BEGIN_MIRROR(0,-10)
			CURVE_CUBIC_SET(+9,+0, -9,+0, 24,0)
			CURVE_SMOOTH_SET(-9,+0, 48,-10)
			CURVE_SMOOTH(-9,+0, 72,0)
			CURVE_SMOOTH(-9,+0, 96,-10)
			CURVE_SMOOTH(-9,+0, 120,0)
			CURVE_LINEAR_SET(120,-18)
			CURVE_CUBIC_SET(-9,+0, +9,+0, 96,-28)
			CURVE_SMOOTH_SET(+9,+0, 72,-18)
			CURVE_SMOOTH(+9,+0, 48,-28)
			CURVE_SMOOTH(+9,+0, 24,-18)
			CURVE_SMOOTH(+9,+0, 0,-28)
		CURVE_END()
FLAG_END(KI)
FLAG_BEGIN(KM)
	ASPECT_RATIO(5,3)
	STRIPES_H4(4,Y,W,R,B)
	COLOUR(V)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(0,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(W)
	CIRCLE_L(-78,0, 60)
	COLOUR(V)
	CIRCLE_L(-66,0, 56)
	COLOUR(W)
	FOR_TRANSLATE(4, +0,-26)
		STAR_5S(-66,38, 13)
FLAG_END(KM)
FLAG_BEGIN(KN)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	COLOUR(V)
	TRIANGLE(120,-120, -120,120)
	COLOUR(Y)
	DIAGONAL(2, 50)
	COLOUR(N)
	DIAGONAL(2, 34)
	COLOUR(W)
	STAR(5, 24,0, -52,-52, 26)
	STAR(5, 24,0, 52,52, 26)
FLAG_END(KN)
FLAG_BEGIN(KP)
	ASPECT_RATIO(2,1)
	FLOOD(B)
	BLOCK_H(W, -80,80)
	BLOCK_H(R, -73,73)
	CIRCLE_L(-40,0, 53)
	COLOUR(R)
	STAR_5L(-40,0, 50)
FLAG_END(KP)
FLAG_BEGIN(KR)
	ASPECT_RATIO(3,2)
	FLOOD(W)
	COLOUR(R)
	CIRCLE_L(0,0, 74)
	COLOUR(B)
	CURVE_BEGIN(-46,29)
		CURVE_CUBIC_SET(-5,-15, -5,+15, -46,-30)
		CURVE_SMOOTH_SET(-15,+9, -20,-68)
		CURVE_SMOOTH(-15,-9, 20,-68)
		CURVE_SMOOTH(-5,-15, 46,-29)
	CURVE_END()
	CIRCLE_L(22,-16, 38)
	COLOUR(R)
	CIRCLE_L(-23,15, 37)
	COLOUR(N)
	CURVE_BEGIN(-65,45)
		CURVE_LINEAR(-45,85)
		CURVE_LINEAR(-50,90)
		CURVE_LINEAR(-70,50)
	CURVE_END()
	CURVE_BEGIN(-72,52)
		CURVE_LINEAR(-52,92)
		CURVE_LINEAR(-57,97)
		CURVE_LINEAR(-77,57)
	CURVE_END()
	CURVE_BEGIN(-79,59)
		CURVE_LINEAR(-59,99)
		CURVE_LINEAR(-64,104)
		CURVE_LINEAR(-84,64)
	CURVE_END()
	CURVE_BEGIN(65,45)
		CURVE_LINEAR(56,63)
		CURVE_LINEAR(61,68)
		CURVE_LINEAR(70,50)
	CURVE_END()
	CURVE_BEGIN(54,67)
		CURVE_LINEAR(45,85)
		CURVE_LINEAR(50,90)
		CURVE_LINEAR(59,72)
	CURVE_END()
	CURVE_BEGIN(72,52)
		CURVE_LINEAR(52,92)
		CURVE_LINEAR(57,97)
		CURVE_LINEAR(77,57)
	CURVE_END()
	CURVE_BEGIN(79,59)
		CURVE_LINEAR(70,77)
		CURVE_LINEAR(75,82)
		CURVE_LINEAR(84,64)
	CURVE_END()
	CURVE_BEGIN(68,81)
		CURVE_LINEAR(59,99)
		CURVE_LINEAR(64,104)
		CURVE_LINEAR(73,86)
	CURVE_END()
	CURVE_BEGIN(-65,-45)
		CURVE_LINEAR(-45,-85)
		CURVE_LINEAR(-50,-90)
		CURVE_LINEAR(-70,-50)
	CURVE_END()
	CURVE_BEGIN(-72,-52)
		CURVE_LINEAR(-63,-70)
		CURVE_LINEAR(-68,-75)
		CURVE_LINEAR(-77,-57)
	CURVE_END()
	CURVE_BEGIN(-61,-74)
		CURVE_LINEAR(-52,-92)
		CURVE_LINEAR(-57,-97)
		CURVE_LINEAR(-66,-79)
	CURVE_END()
	CURVE_BEGIN(-79,-59)
		CURVE_LINEAR(-59,-99)
		CURVE_LINEAR(-64,-104)
		CURVE_LINEAR(-84,-64)
	CURVE_END()
	CURVE_BEGIN(54,-67)
		CURVE_LINEAR(45,-85)
		CURVE_LINEAR(50,-90)
		CURVE_LINEAR(59,-72)
	CURVE_END()
	CURVE_BEGIN(61,-74)
		CURVE_LINEAR(52,-92)
		CURVE_LINEAR(57,-97)
		CURVE_LINEAR(66,-79)
	CURVE_END()
	CURVE_BEGIN(68,-81)
		CURVE_LINEAR(59,-99)
		CURVE_LINEAR(64,-104)
		CURVE_LINEAR(73,-86)
	CURVE_END()
	CURVE_BEGIN(65,-45)
		CURVE_LINEAR(56,-63)
		CURVE_LINEAR(61,-68)
		CURVE_LINEAR(70,-50)
	CURVE_END()
	CURVE_BEGIN(72,-52)
		CURVE_LINEAR(63,-70)
		CURVE_LINEAR(68,-75)
		CURVE_LINEAR(77,-57)
	CURVE_END()
	CURVE_BEGIN(79,-59)
		CURVE_LINEAR(70,-77)
		CURVE_LINEAR(75,-82)
		CURVE_LINEAR(84,-64)
	CURVE_END()
FLAG_END(KR)
FLAG_BEGIN(KW)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,V,W,R)
	COLOUR(N)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-60,40)
		CURVE_LINEAR(-60,-40)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
FLAG_END(KW)
FLAG_BEGIN(KY)
	ASPECT_RATIO(2,1)
	FLOOD(Bpp)
	JACK()
	CIRCLE_L(60,0, 70)
	COLOUR(R)
	CURVE_BEGIN_MIRROR(60,50)
		CURVE_LINEAR(80,50)
		CURVE_LINEAR(80,0)
		CURVE_CUBIC_SET(+0,-15, +15,+10, 60,-65)
	CURVE_END()
	COLOUR(W)
	CURVE_BEGIN_MIRROR(60,20)
		CURVE_LINEAR(79,20)
		CURVE_LINEAR(79,0)
		CURVE_CUBIC_SET(+0,-15, +15,+12, 60,-63)
	CURVE_END()
	COLOUR(V)
	STAR_5S(50,-5, 15)
	STAR_5S(70,-5, 15)
	STAR_5S(60,-35, 15)
FLAG_END(KY)
FLAG_BEGIN(KZ)
	ASPECT_RATIO(2,1)
	FLOOD(Bm)
	BLOCK_V(Y, -110,-96)
	VIEWBOX(-56,-99, 56,127)
	COLOUR(Y)
	CIRCLE_L(0,0, 36)
	FOR_ROTATE_L(32)
		CURVE_BEGIN(0,50)
			CURVE_CUBIC_SET(+8,-15, -8,-15, 0,50)
		CURVE_END()
	CURVE_BEGIN(-20,-65)
		CURVE_CUBIC_SET(-15,-3, +7,-15, -70,-36)
		CURVE_SMOOTH_SET(-5,+15, -57,-10)
		CURVE_SMOOTH(-12,+12, -40,-42)
		CURVE_SMOOTH(-15,+0, 0,-57)
		CURVE_SMOOTH(-12,-12, 40,-42)
		CURVE_SMOOTH(-5,-15, 57,-10)
		CURVE_SMOOTH(+7,+15, 70,-36)
		CURVE_SMOOTH(+15,-3, 20,-65)
		CURVE_CUBIC_SET(+15,+0, -5,-15, 55,-40)
		CURVE_SMOOTH_SET(+10,+15, 42,-47)
		CURVE_CUBIC_SET(-9,-3, +7,+7, 23,-58)
		CURVE_CUBIC(-5,+1, +9,+6, -5,-66)
		CURVE_SMOOTH_SET(-15,-1, 10,-74)
		CURVE_CUBIC_SET(-8,-2, +7,+0, -6,-77)
		CURVE_CUBIC(+15,-2, -8,-6, 23,-70)
		CURVE_LINEAR_SET(44,-72)
		CURVE_CUBIC_SET(-15,-11, +15,-5, -12,-83)
		CURVE_LINEAR_SET(-6,-77)
		CURVE_CUBIC_SET(-10,+0, +5,+5, -20,-75)
		CURVE_CUBIC(-2,+12, -15,-10, 0,-60)
		CURVE_CUBIC(-15,-5, +10,-5, -40,-47)
		CURVE_CUBIC(-13,+15, -5,+15, -57,-35)
		CURVE_SMOOTH_SET(-15,+1, -20,-65)
	CURVE_END()
	COLOUR(Bpp)
	CIRCLE(-17,-69, 1)
FLAG_END(KZ)
FLAG_BEGIN(LA)
	ASPECT_RATIO(3,2)
	STRIPES_H4(4,R,Bpp,Bpp,R)
	CIRCLE_L(0,0, 45)
FLAG_END(LA)
FLAG_BEGIN(LB)
	ASPECT_RATIO(3,2)
	STRIPES_H4(4,R,W,W,R)
	COLOUR(V)
	CURVE_BEGIN_MIRROR(0,58)
		CURVE_CUBIC_SET(+5,-15, +0,+4, 20,38)
		CURVE_SMOOTH_SET(+5,-2, 14,37)
		CURVE_CUBIC_SET(+6,-9, +1,+4, 23,29)
		CURVE_SMOOTH_SET(+1,+2, 12,30)
		CURVE_SMOOTH(+0,+2, 31,9)
		CURVE_SMOOTH(+0,+5, 14,9)
		CURVE_SMOOTH(+0,+2, 33,1)
		CURVE_SMOOTH(-1,+2, 21,-2)
		CURVE_SMOOTH(+0,+2, 36,-20)
		CURVE_SMOOTH(+0,+5, 10,-10)
		CURVE_SMOOTH(+0,+3, 40,-36)
		CURVE_SMOOTH(+0,+15, 9,-35)
		CURVE_SMOOTH(-15,+15, 25,-57)
		CURVE_CUBIC_SET(-15,+10, +10,+0, 0,-50)
	CURVE_END()
FLAG_END(LB)
FLAG_BEGIN(LC)
	ASPECT_RATIO(2,1)
	FLOOD(Bm)
	CURVE_BEGIN(-40,-100)
		CURVE_LINEAR(0,100)
		CURVE_LINEAR(40,-100)
	CURVE_END()
	COLOUR(N)
	CURVE_BEGIN(-35,-100)
		CURVE_LINEAR(0,75)
		CURVE_LINEAR(35,-100)
	CURVE_END()
	COLOUR(Y)
	CURVE_BEGIN(-40,-100)
		CURVE_LINEAR(0,-10)
		CURVE_LINEAR(40,-100)
	CURVE_END()
FLAG_END(LC)
FLAG_BEGIN(LI)
	ASPECT_RATIO(5,3)
	STRIPES_H2(2,Bpp,R)
	COLOUR(Y)
	CURVE_BEGIN_MIRROR(-60,90)
		CURVE_CUBIC_SET(+2,+0, +0,+3, -58,86)
		CURVE_CUBIC(+3,+0, +3,+0, -58,81)
		CURVE_LINEAR_SET(-57,75)
		CURVE_CUBIC_SET(+11,+15, +0,+15, -33,65)
		CURVE_SMOOTH_SET(+7,+15, -41,30)
		CURVE_LINEAR_SET(-60,30)
	CURVE_END()
FLAG_END(LI)
FLAG_BEGIN(LK)
	ASPECT_RATIO(2,1)
	FLOOD(Y)
	COLOUR(Vp)
	RECTANGLE(-110,-100, -75,100)
	COLOUR(O)
	RECTANGLE(-75,-100, -40,100)
	COLOUR(Rpp)
	RECTANGLE(-30,-100, 110,100)
	COLOUR(Y)
	CURVE_BEGIN(-8,73)
		CURVE_CUBIC_SET(-6,+2, -6,-15, -19,90)
		CURVE_CUBIC(-5,+7, -5,+7, -18,91)
		CURVE_CUBIC(+10,+5, -1,+3, -8,73)
	CURVE_END()
	CURVE_BEGIN(94,72)
		CURVE_CUBIC_SET(+6,+2, +6,-15, 105,90)
		CURVE_CUBIC(+5,+7, +5,+7, 104,91)
		CURVE_CUBIC(-10,+5, +1,+3, 94,72)
	CURVE_END()
	CURVE_BEGIN(-9,-72)
		CURVE_CUBIC_SET(-6,-2, -6,+15, -18,-91)
		CURVE_CUBIC(-5,-7, -5,-7, -17,-92)
		CURVE_CUBIC(+10,-5, -1,-3, -9,-72)
	CURVE_END()
	CURVE_BEGIN(94,-72)
		CURVE_CUBIC_SET(+6,-2, +5,+15, 105,-90)
		CURVE_CUBIC(+5,-7, +5,-7, 104,-91)
		CURVE_CUBIC(-10,-6, +1,-3, 94,-72)
	CURVE_END()
	CURVE_BEGIN(13,68)
		CURVE_CUBIC_SET(-5,-15, +0,+15, 11,1)
		CURVE_CUBIC(+5,+0, -7,+5, 19,-12)
		CURVE_CUBIC(+0,+7, -5,-5, 30,10)
		CURVE_CUBIC(-15,+2, +0,-15, 17,30)
		CURVE_LINEAR_SET(30,29)
		CURVE_CUBIC_SET(-10,+5, +0,-5, 18,40)
		CURVE_SMOOTH_SET(-1,+6, 46,46)
		CURVE_SMOOTH(-2,+2, 45,13)
		CURVE_SMOOTH(-10,+10, 77,16)
		CURVE_CUBIC_SET(+1,+15, +10,+5, 64,27)
		CURVE_SMOOTH_SET(+0,-10, 48,44)
		CURVE_SMOOTH(-8,+0, 59,58)
		CURVE_SMOOTH(-7,+5, 77,43)
		CURVE_CUBIC_SET(+0,+15, +8,+1, 78,38)
		CURVE_SMOOTH_SET(+5,+0, 58,52)
		CURVE_SMOOTH(-7,-3, 62,34)
		CURVE_SMOOTH(-2,+8, 82,30)
		CURVE_SMOOTH(+2,+5, 81,11)
		CURVE_CUBIC_SET(+8,-8, +0,+15, 79,-30)
		CURVE_SMOOTH_SET(+0,+8, 81,-60)
		CURVE_SMOOTH(+15,+2, 50,-65)
		CURVE_CUBIC_SET(+4,+12, -5,+1, 58,-56)
		CURVE_CUBIC(+1,+15, +5,-10, 52,-30)
		CURVE_CUBIC(-8,-8, +8,+0, 36,-41)
		CURVE_CUBIC(-1,-10, +0,+8, 38,-60)
		CURVE_SMOOTH_SET(+8,+2, 21,-65)
		CURVE_CUBIC_SET(+4,+12, -5,+1, 30,-56)
		CURVE_CUBIC(+1,+10, +5,-10, 27,-35)
		CURVE_CUBIC(-8,-12, +12,-8, 11,-30)
		CURVE_CUBIC(+5,-10, +2,+15, 8,-52)
		CURVE_CUBIC(-2,+15, -5,-10, 5,-30)
		CURVE_CUBIC(-5,+0, -5,+0, 6,1)
		CURVE_CUBIC(+0,+15, -7,-15, 13,68)
	CURVE_END()
	COLOUR(Rpp)
	CIRCLE(28,40, 2)
	CURVE_BEGIN(68,-29)
		CURVE_CUBIC_SET(+5,-8, +1,+15, 73,-56)
		CURVE_CUBIC(-5,+1, +2,+4, 65,-57)
		CURVE_CUBIC(+1,+15, -3,-15, 68,-29)
	CURVE_END()
FLAG_END(LK)
FLAG_BEGIN(LR)
	ASPECT_RATIO(19,10)
	STRIPES_H2(11,R,W)
	COLOUR(Bpp)
	RECTANGLE(-120,11, -63,120)
	COLOUR(W)
	STAR_5L(-93,66, 36)
FLAG_END(LR)
FLAG_BEGIN(LS)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,Bpp,V)
	BLOCK_H(W, -48,48)
	COLOUR(N)
	CURVE_BEGIN_MIRROR(0,43)
		CURVE_CUBIC_SET(+13,+0, +7,+7, 6,8)
		CURVE_LINEAR_SET(20,-20)
		CURVE_LINEAR(22,-19)
		CURVE_LINEAR(28,-33)
		CURVE_CUBIC_SET(-9,-6, +12,+0, 0,-43)
		CURVE_LINEAR_SET(0,-38)
		CURVE_CUBIC_SET(+12,+0, -9,-6, 24,-30)
		CURVE_LINEAR_SET(20,-22)
		CURVE_CUBIC_SET(-7,-4, +9,+0, 0,-29)
		CURVE_LINEAR_SET(0,23)
		CURVE_LINEAR(2,23)
		CURVE_LINEAR(2,13)
		CURVE_LINEAR(4,10)
		CURVE_CUBIC_SET(+6,+6, +7,-1, 2,40)
		CURVE_LINEAR_SET(2,27)
		CURVE_LINEAR(4,23)
		CURVE_LINEAR(0,23)
	CURVE_END()
FLAG_END(LS)
FLAG_BEGIN(LT)
	ASPECT_RATIO(5,3)
	STRIPES_H3(3,Y,V,R)
FLAG_END(LT)
FLAG_BEGIN(LU)
	ASPECT_RATIO(5,3)
	STRIPES_H3(3,R,W,Bm)
FLAG_END(LU)
FLAG_BEGIN(LV)
	ASPECT_RATIO(2,1)
	FLOOD(Rpp)
	BLOCK_H(W, -24,24)
FLAG_END(LV)
FLAG_BEGIN(LY)
	ASPECT_RATIO(2,1)
	STRIPES_H4(4,R,N,N,V)
	CIRCLE_L(0,0, 30)
	COLOUR(N)
	CIRCLE_L(3,0, 26)
	COLOUR(W)
	STAR(5, 24,0, 24,0, -12)
FLAG_END(LY)
FLAG_BEGIN(MA)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	COLOUR(V)
	STAR_5L(0,0, 40)
	COLOUR(R)
	STAR_5L(0,0, 27)
	COLOUR(V)
	STAR(5, 12,16, 0,0, 0)
	COLOUR(R)
	STAR(5, 8,10, 0,0, 0)
FLAG_END(MA)
FLAG_BEGIN(MC)
	ASPECT_RATIO(5,4)
	STRIPES_H2(2,R,W)
FLAG_END(MC)
FLAG_BEGIN(MD)
	ASPECT_RATIO(2,1)
	STRIPES_V3(3,B,Y,Rp)
	COLOUR(O)
	CURVE_BEGIN_MIRROR(0,30)
		CURVE_CUBIC_SET(+15,+15, +0,-10, 13,50)
		CURVE_LINEAR_SET(18,56)
		CURVE_LINEAR(23,50)
		CURVE_LINEAR(23,-40)
		CURVE_CUBIC_SET(-15,+15, +15,+0, 4,-10)
		CURVE_CUBIC(+0,-15, -5,+5, 11,-49)
		CURVE_CUBIC(-6,-4, +4,+6, 0,-61)
	CURVE_END()
	CURVE_BEGIN(5,61)
		CURVE_CUBIC_SET(-1,+0, +3,+0, 0,65)
		CURVE_SMOOTH_SET(+0,+2, -7,60)
		CURVE_CUBIC_SET(+2,+2, +0,+15, -4,40)
		CURVE_CUBIC(-15,-15, +15,-15, 4,40)
	CURVE_END()
	COLOUR(Y)
	CIRCLE(-3,61, 1)
	COLOUR(R)
	CURVE_BEGIN(12,34)
		CURVE_LINEAR(12,8)
		CURVE_LINEAR(-12,8)
		CURVE_LINEAR(-12,34)
	CURVE_END()
	COLOUR(Bpp)
	CURVE_BEGIN(12,8)
		CURVE_CUBIC_SET(+0,-15, +13,+13, 0,-24)
		CURVE_CUBIC(-13,+13, +0,-15, -12,8)
	CURVE_END()
FLAG_END(MD)
FLAG_BEGIN(ME)
	ASPECT_RATIO(2,1)
	FLOOD(Om)
	COLOUR(Rp)
	RECTANGLE(-113,-106, 113,106)
	COLOUR(Om)
	CURVE_BEGIN_MIRROR(0,20)
		CURVE_CUBIC_SET(+1,+15, +5,-5, 5,44)
		CURVE_CUBIC(+3,-3, -1,+12, 16,38)
		CURVE_CUBIC(-3,+6, -1,+15, 6,0)
		CURVE_CUBIC(+15,+2, +3,-4, 14,9)
		CURVE_SMOOTH_SET(+1,-15, 25,58)
		CURVE_CUBIC_SET(+5,-15, +0,+15, 34,15)
		CURVE_SMOOTH_SET(+15,+0, 12,-30)
		CURVE_CUBIC_SET(+5,-3, -3,+3, 19,-45)
		CURVE_CUBIC(+12,-5, -1,-12, 17,-46)
		CURVE_CUBIC(-3,+3, +3,-15, 4,-25)
		CURVE_CUBIC(+3,-15, -5,+5, 11,-59)
		CURVE_CUBIC(-6,-15, +6,+15, 0,-78)
	CURVE_END()
	CURVE_BEGIN_MIRROR(0,77)
		CURVE_CUBIC_SET(+3,+0, -1,+6, 2,68)
		CURVE_CUBIC(+5,+0, +5,+7, 7,52)
		CURVE_CUBIC(+0,-5, +7,+0, 0,44)
	CURVE_END()
	COLOUR(Rp)
	CIRCLE(12,41, 1)
	CIRCLE(-12,41, 1)
FLAG_END(ME)
FLAG_BEGIN(MG)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,R,V)
	BLOCK_V(W, -120,-40)
FLAG_END(MG)
FLAG_BEGIN(MH)
	ASPECT_RATIO(19,10)
	FLOOD(Bpp)
	STAR(12, 54,15, -74,32, 0)
	STAR(12, 15,54, -74,32, 0)
	STAR(4, 75,6, -74,32, 0)
	CURVE_BEGIN(-120,-116)
		CURVE_LINEAR(-120,-112)
		CURVE_LINEAR(120,116)
		CURVE_LINEAR(120,22)
	CURVE_END()
	COLOUR(O)
	CURVE_BEGIN(-120,-112)
		CURVE_LINEAR(-120,-108)
		CURVE_LINEAR(120,116)
		CURVE_LINEAR(120,69)
	CURVE_END()
FLAG_END(MH)
FLAG_BEGIN(MK)
	ASPECT_RATIO(2,1)
	FLOOD(R)
	COLOUR(Y)
	CURVE_BEGIN_MIRROR(0,120)
		CURVE_LINEAR(12,120)
		CURVE_LINEAR(0,0)
		CURVE_LINEAR(84,120)
		CURVE_LINEAR(120,120)
		CURVE_LINEAR(0,0)
		CURVE_LINEAR(120,24)
		CURVE_LINEAR(120,-24)
		CURVE_LINEAR(0,0)
		CURVE_LINEAR(120,-120)
		CURVE_LINEAR(84,-120)
		CURVE_LINEAR(0,0)
		CURVE_LINEAR(12,-120)
		CURVE_LINEAR(0,-120)
	CURVE_END()
	COLOUR(R)
	CIRCLE_L(0,0, 43)
	COLOUR(Y)
	CIRCLE_L(0,0, 34)
FLAG_END(MK)
FLAG_BEGIN(ML)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,V,Y,R)
FLAG_END(ML)
FLAG_BEGIN(MM)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,Y,V,R)
	STAR_5L(0,-8, 88)
FLAG_END(MM)
FLAG_BEGIN(MN)
	ASPECT_RATIO(2,1)
	STRIPES_V3(3,R,B,R)
	VIEWBOX(-120,-120, 0,120)
	COLOUR(Y)
	CURVE_BEGIN(-40,-10)
		CURVE_CUBIC_SET(+13,+0, +13,+0, -40,-30)
		CURVE_CUBIC(-10,+0, -6,+10, -50,-50)
		CURVE_CUBIC(-7,+7, +0,-10, -60,-30)
		CURVE_SMOOTH_SET(-10,+0, -40,-10)
	CURVE_END()
	CURVE_BEGIN(-40,-53)
		CURVE_CUBIC_SET(-13,+0, -13,+0, -40,-33)
		CURVE_CUBIC(+10,+0, +6,-10, -30,-13)
		CURVE_CUBIC(+7,-7, +0,+10, -20,-33)
		CURVE_SMOOTH_SET(+10,+0, -40,-53)
	CURVE_END()
	CIRCLE_L(-40,40, 22)
	COLOUR(R)
	CIRCLE_L(-40,48, 22)
	CIRCLE(-40,-20, 4)
	CIRCLE(-40,-43, 4)
	COLOUR(Y)
	CURVE_BEGIN(-37,97)
		CURVE_CUBIC_SET(-5,-5, +2,+5, -37,80)
		CURVE_SMOOTH_SET(+0,-2, -34,76)
		CURVE_SMOOTH(-3,-3, -33,86)
		CURVE_CUBIC_SET(+0,-4, +0,+4, -32,80)
		CURVE_CUBIC(+5,-7, +6,+0, -40,65)
		CURVE_SMOOTH_SET(-9,-7, -46,81)
		CURVE_CUBIC_SET(-1,+3, -3,-3, -43,87)
		CURVE_CUBIC(+1,-3, +0,+3, -45,77)
		CURVE_SMOOTH_SET(+0,-3, -41,77)
		CURVE_SMOOTH(-2,-6, -41,87)
		CURVE_SMOOTH(-8,-6, -37,97)
	CURVE_END()
	CIRCLE(-40,45, 15)
	CURVE_BEGIN(-20,15)
		CURVE_LINEAR(-40,4)
		CURVE_LINEAR(-60,15)
	CURVE_END()
	RECTANGLE(-60,-7, -20,0)
	RECTANGLE(-60,-63, -20,-56)
	CURVE_BEGIN(-20,-68)
		CURVE_LINEAR(-40,-79)
		CURVE_LINEAR(-60,-68)
	CURVE_END()
	RECTANGLE(-15,-79, 2,15)
	RECTANGLE(-82,-79, -65,15)
FLAG_END(MN)
FLAG_BEGIN(MP)
	ASPECT_RATIO(2,1)
	FLOOD(B)
	CIRCLE_L(0,0, 87)
	COLOUR(B)
	CIRCLE_L(0,0, 60)
	COLOUR(Y)
	FOR_ROTATE_L(32)
		CIRCLE(0,79, 5)
	FOR_ROTATE_L(27)
		CIRCLE(0,-68, 5)
	COLOUR(Bm)
	CURVE_BEGIN_MIRROR(0,46)
		CURVE_CUBIC_SET(+15,+0, +0,+3, 14,40)
		CURVE_CUBIC(+0,-10, +5,+5, 8,11)
		CURVE_CUBIC(+3,-3, +0,+15, 15,-85)
		CURVE_CUBIC(+0,-3, +12,+0, 0,-93)
	CURVE_END()
	COLOUR(W)
	STAR_5L(0,-15, 54)
FLAG_END(MP)
FLAG_BEGIN(MR)
	ASPECT_RATIO(3,2)
	FLOOD(V)
	COLOUR(Y)
	CIRCLE_L(0,27, 77)
	COLOUR(V)
	CIRCLE_L(0,47, 72)
	COLOUR(Y)
	STAR_5L(0,50, 30)
FLAG_END(MR)
FLAG_BEGIN(MT)
	ASPECT_RATIO(3,2)
	STRIPES_V2(2,W,R)
	COLOUR(R)
	CURVE_BEGIN_MIRROR(-92,110)
		CURVE_LINEAR(-86,110)
		CURVE_LINEAR(-86,98)
		CURVE_CUBIC_SET(+4,+0, +0,+6, -80,89)
		CURVE_LINEAR_SET(-72,89)
		CURVE_LINEAR(-72,71)
		CURVE_LINEAR(-80,71)
		CURVE_CUBIC_SET(+0,-6, +4,+0, -86,62)
		CURVE_LINEAR_SET(-86,50)
		CURVE_LINEAR(-92,50)
	CURVE_END()
	COLOUR(Gm)
	CURVE_BEGIN_MIRROR(-92,107)
		CURVE_LINEAR(-88,107)
		CURVE_LINEAR(-88,95)
		CURVE_CUBIC_SET(+5,+0, +0,+7, -82,86)
		CURVE_LINEAR_SET(-74,86)
		CURVE_LINEAR(-74,74)
		CURVE_LINEAR(-82,74)
		CURVE_CUBIC_SET(+0,-7, +5,+0, -88,65)
		CURVE_LINEAR_SET(-88,53)
		CURVE_LINEAR(-92,53)
	CURVE_END()
	COLOUR(W)
	CIRCLE(-92,80, 14)
	COLOUR(Gm)
	CIRCLE(-92,80, 10)
FLAG_END(MT)
FLAG_BEGIN(MU)
	ASPECT_RATIO(3,2)
	STRIPES_H4(4,R,Bpp,Y,V)
FLAG_END(MU)
FLAG_BEGIN(MV)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	COLOUR(V)
	RECTANGLE(-80,-60, 80,60)
	COLOUR(W)
	CIRCLE_L(10,0, 40)
	COLOUR(V)
	CIRCLE_L(20,0, 40)
FLAG_END(MV)
FLAG_BEGIN(MW)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,R,N,V)
	CIRCLE_L(0,0, 32)
	FOR_ROTATE_L(45)
		CURVE_BEGIN(0,-38)
			CURVE_CUBIC_SET(+3,-15, +1,+0, 0,-66)
			CURVE_SMOOTH_SET(-3,-15, 0,-38)
		CURVE_END()
FLAG_END(MW)
FLAG_BEGIN(MX)
	ASPECT_RATIO(7,4)
	STRIPES_V3(3,Vp,W,R)
	COLOUR(Gm)
	CIRCLE_L(0,0, 55)
	COLOUR(M)
	CURVE_BEGIN(20,-10)
		CURVE_CUBIC_SET(+7,+15, +15,+0, 2,47)
		CURVE_CUBIC(-10,+0, -2,+3, 0,37)
		CURVE_CUBIC(-3,+3, +3,+0, -8,41)
		CURVE_SMOOTH_SET(-3,+5, -11,25)
		CURVE_CUBIC_SET(+0,+3, -1,+1, -7,30)
		CURVE_SMOOTH_SET(-5,+15, -5,4)
		CURVE_CUBIC_SET(-10,+3, -15,-1, 0,-4)
		CURVE_CUBIC(+3,-8, +1,-5, 8,-9)
		CURVE_CUBIC(+1,-2, +1,-4, 17,-8)
		CURVE_SMOOTH_SET(+0,-10, 7,13)
		CURVE_CUBIC_SET(+1,-3, +1,0, 20,-10)
	CURVE_END()
	COLOUR(Gm)
	CIRCLE(-10,33, 1)
FLAG_END(MX)
FLAG_BEGIN(MY)
	ASPECT_RATIO(2,1)
	STRIPES_H2(14,R,W)
	COLOUR(Bpp)
	RECTANGLE(-120,-17, 0,120)
	COLOUR(Y)
	CIRCLE_L(-68,51, 51)
	COLOUR(Bpp)
	CIRCLE_L(-61,51, 45)
	COLOUR(Y)
	STAR(14, 39,17, -43,51, 0)
FLAG_END(MY)
FLAG_BEGIN(MZ)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,V,N,Y)
	BLOCK_H(W, 36,44)
	BLOCK_H(W, -44,-36)
	COLOUR(R)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-15,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(Y)
	STAR_5L(-84,0, 46)
	COLOUR(W)
	CURVE_BEGIN_MIRROR(-83,8)
		CURVE_CUBIC_SET(+5,+3, -1,+3, -69,4)
		CURVE_LINEAR_SET(-67,-18)
		CURVE_CUBIC_SET(-15,+0, +2,+0, -83,-20)
	CURVE_END()
	COLOUR(N)
	CURVE_BEGIN(-58,35)
		CURVE_CUBIC_SET(-10,-15, +15,+15, -81,10)
		CURVE_LINEAR_SET(-65,-20)
		CURVE_CUBIC_SET(+3,-5, +3,-5, -66,-21)
		CURVE_LINEAR_SET(-82,8)
		CURVE_LINEAR(-88,0)
		CURVE_CUBIC_SET(+3,-3, -4,+0, -80,-5)
		CURVE_LINEAR_SET(-80,-10)
		CURVE_CUBIC_SET(-4,+0, +3,-3, -91,-5)
		CURVE_CUBIC(+3,-3, -3,+6, -92,-16)
		CURVE_CUBIC(-2,-2, +5,-10, -97,-12)
		CURVE_LINEAR_SET(-105,-28)
		CURVE_LINEAR(-109,-20)
		CURVE_CUBIC_SET(+15,+15, -10,-10, -84,12)
		CURVE_CUBIC(-6,+10, +3,-5, -93,21)
		CURVE_CUBIC(-1,-1, +10,+15, -102,1)
		CURVE_LINEAR_SET(-107,9)
		CURVE_CUBIC_SET(+6,+10, -3,+3, -96,26)
		CURVE_CUBIC(+1,+5, -3,+5, -88,24)
		CURVE_CUBIC(+3,-5, -4,+8, -83,13)
		CURVE_LINEAR_SET(-59,36)
	CURVE_END()
	COLOUR(W)
	CIRCLE(-93,-7, 1)
FLAG_END(MZ)
FLAG_BEGIN(NA)
	ASPECT_RATIO(3,2)
	FLOOD(Bpp)
	COLOUR(V)
	TRIANGLE(-120,120, 120,-120)
	COLOUR(W)
	DIAGONAL(2, 53)
	COLOUR(R)
	DIAGONAL(2, 40)
	COLOUR(Y)
	STAR(12, 40,25, -72,55, 0)
	COLOUR(Bpp)
	CIRCLE_L(-72,55, 24)
	COLOUR(Y)
	CIRCLE_L(-72,55, 20)
FLAG_END(NA)
FLAG_BEGIN(NC)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,Bpp,W,R)
FLAG_END(NC)
FLAG_BEGIN(NE)
	ASPECT_RATIO(7,6)
	STRIPES_H3(3,O,W,V)
	COLOUR(O)
	CIRCLE_L(0,0, 30)
FLAG_END(NE)
FLAG_BEGIN(NG)
	ASPECT_RATIO(2,1)
	STRIPES_V3(3,V,W,V)
FLAG_END(NG)
FLAG_BEGIN(NI)
	ASPECT_RATIO(5,3)
	STRIPES_H3(3,Bm,W,Bm)
	COLOUR(Bm)
	CURVE_BEGIN(0,30)
		CURVE_LINEAR(16,-15)
		CURVE_LINEAR(-16,-15)
	CURVE_END()
FLAG_END(NI)
FLAG_BEGIN(NL)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,R,W,B)
FLAG_END(NL)
FLAG_BEGIN(NO)
	ASPECT_RATIO(11,8)
	FLOOD(R)
	CROSS(W, 22, -33)
	CROSS(Bpp, 11, -33)
FLAG_END(NO)
FLAG_BEGIN(NP)
	ASPECT_RATIO(32,39)
	COLOUR(Bpp)
	TRIANGLE(-120,-6, 120,120)
	TRIANGLE(-120,-120, 114,68)
	COLOUR(Rp)
	TRIANGLE(-112,0, 93,107)
	TRIANGLE(-112,-114, 93,52)
	COLOUR(W)
	STAR(12, 35,22, -60,-55, 0)
	STAR(16, 15,22, -60,29, 0)
	CURVE_BEGIN_MIRROR(-60,7)
		CURVE_CUBIC_SET(+15,+0, +0,-15, -20,40)
		CURVE_CUBIC(-12,-15, +15,+0, -60,20)
	CURVE_END()
FLAG_END(NP)
FLAG_BEGIN(NR)
	ASPECT_RATIO(2,1)
	FLOOD(Bpp)
	STAR(12, 40,20, -60,-50, 0)
	BLOCK_H(Y, -10,10)
FLAG_END(NR)
FLAG_BEGIN(NU)
	ASPECT_RATIO(2,1)
	FLOOD(Y)
	JACK()
	COLOUR(Bpp)
	CIRCLE_L(-60,60, 16)
	COLOUR(Y)
	STAR_5S(-60,60, 16)
	STAR_5S(-60,99, 12)
	STAR_5S(-90,59, 12)
	STAR_5S(-30,59, 12)
	STAR_5S(-60,19, 12)
FLAG_END(NU)
FLAG_BEGIN(NZ)
	ASPECT_RATIO(2,1)
	FLOOD(Bpp)
	JACK()
	STAR_5L(60,82, 21)
	STAR_5S(88,32, 15)
	STAR_5L(30,17, 21)
	STAR_5L(60,-80, 21)
	COLOUR(R)
	STAR_5S(60,82, 15)
	STAR_5S(88,32, 10)
	STAR_5S(30,17, 15)
	STAR_5S(60,-80, 15)
FLAG_END(NZ)
FLAG_BEGIN(OM)
	ASPECT_RATIO(7,4)
	STRIPES_H3(3,W,R,V)
	BLOCK_V(R, -120,-40)
	CURVE_BEGIN_MIRROR(-80,106)
		CURVE_CUBIC_SET(+5,-3, -3,+15, -77,84)
		CURVE_CUBIC(+8,+15, -5,-5, -63,110)
		CURVE_CUBIC(+0,-7, +4,+15, -71,80)
		CURVE_CUBIC(+8,+0, +0,+6, -63,73)
		CURVE_SMOOTH_SET(+10,+0, -77,68)
		CURVE_LINEAR_SET(-60,43)
		CURVE_CUBIC_SET(+5,-7, +5,-6, -64,39)
		CURVE_LINEAR_SET(-80,60)
	CURVE_END()
FLAG_END(OM)
FLAG_BEGIN(PA)
	ASPECT_RATIO(3,2)
	FLOOD(W)
	COLOUR(B)
	STAR_5L(-60,60, 36)
	RECTANGLE(-120,-120, 0,0)
	COLOUR(R)
	RECTANGLE(0,0, 120,120)
	STAR_5L(60,-60, 36)
FLAG_END(PA)
FLAG_BEGIN(PE)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,R,W,R)
FLAG_END(PE)
FLAG_BEGIN(PF)
	ASPECT_RATIO(3,2)
	STRIPES_H4(4,R,W,W,R)
	COLOUR(Y)
	CURVE_BEGIN_MIRROR(0,50)
		CURVE_CUBIC_SET(+15,+0, -5,+10, 27,30)
		CURVE_SMOOTH_SET(+2,+15, 32,-10)
		CURVE_SMOOTH(+15,+0, 0,-30)
	CURVE_END()
	COLOUR(B)
	CURVE_BEGIN_MIRROR(0,-16)
		CURVE_CUBIC_SET(+3,+0, -3,+0, 7,-10)
		CURVE_CUBIC(+3,+0, -3,+0, 14,-16)
		CURVE_CUBIC(+3,+0, -3,+0, 21,-10)
		CURVE_CUBIC(+3,+0, -3,+0, 28,-16)
		CURVE_CUBIC(+3,+0, -2,-1, 32,-10)
		CURVE_CUBIC(-2,-15, +5,+5, 20,-40)
		CURVE_SMOOTH_SET(+10,+0, 0,-50)
	CURVE_END()
FLAG_END(PF)
FLAG_BEGIN(PG)
	ASPECT_RATIO(4,3)
	FLOOD(R)
	COLOUR(N)
	TRIANGLE(-120,-120, 120,120)
	COLOUR(W)
	STAR_5L(-60,25, 18)
	STAR_5L(-35,-11, 18)
	STAR_5L(-90,-19, 18)
	STAR_5L(-60,-83, 18)
	STAR_5S(-50,-44, 10)
	COLOUR(Y)
	CURVE_BEGIN(12,64)
		CURVE_CUBIC_SET(+10,+0, -4,+0, 23,67)
		CURVE_SMOOTH_SET(-2,-8, 34,63)
		CURVE_SMOOTH(+0,-8, 34,80)
		CURVE_SMOOTH(-5,+0, 50,97)
		CURVE_CUBIC_SET(-3,-3, +3,+3, 47,70)
		CURVE_CUBIC(+15,+15, -5,+15, 82,34)
		CURVE_CUBIC(-15,+6, -6,+15, 79,20)
		CURVE_SMOOTH_SET(+0,+8, 85,-8)
		CURVE_SMOOTH(+15,-4, 66,-26)
		CURVE_CUBIC_SET(+15,-2, +1,-10, 82,0) 
		CURVE_SMOOTH_SET(+4,-10, 73,27)
		CURVE_SMOOTH(-10,+15, 76,17)
		CURVE_SMOOTH(+15,-10, 56,-10)
		CURVE_CUBIC_SET(+15,-5, +1,-8, 77,8)
		CURVE_SMOOTH_SET(+12,-5, 55,33)
		CURVE_CUBIC_SET(+10,-10, -10,+10, 61,-1)
		CURVE_CUBIC(-15,+3, -5,-15, 23,40)
		CURVE_CUBIC(-15,-15, +5,+5, -1,33)
		CURVE_CUBIC(+5,+15, -12,+4, 18,53)
		CURVE_SMOOTH_SET(+15,+0, 12,64)
	CURVE_END()
FLAG_END(PG)
FLAG_BEGIN(PH)
	ASPECT_RATIO(2,1)
	STRIPES_H2(2,Bpp,R)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-17,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(Y)
	STAR(8, 50,20, -85,0, 0)
	STAR(5, 16,0, -110,80, 24)
	STAR(5, 16,0, -40,0, 12)
	STAR(5, 16,0, -110,-80, 2)
	CIRCLE_L(-85,0, 25)
FLAG_END(PH)
FLAG_BEGIN(PK)
	ASPECT_RATIO(3,2)
	FLOOD(Vp)
	BLOCK_V(W, -120,-60)
	CIRCLE_L(30,0, 80)
	COLOUR(Vp)
	CIRCLE_L(42,16, 70)
	COLOUR(W)
	STAR(5, 28,0, 54,36, 31)
FLAG_END(PK)
FLAG_BEGIN(PL)
	ASPECT_RATIO(8,5)
	STRIPES_H2(2,W,R)
FLAG_END(PL)
FLAG_BEGIN(PR)
	ASPECT_RATIO(3,2)
	STRIPES_H2(5,R,W)
	COLOUR(B)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(0,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(W)
	STAR_5L(-80,0, 40)
FLAG_END(PR)
FLAG_BEGIN(PT)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	BLOCK_V(Vp, -120,-24)
	VIEWBOX(-72,-72, 24,72)
	COLOUR(Y)
	CIRCLE_L(0,0, 100)
	COLOUR(Vp)
	CIRCLE_L(0,0, 88)
	COLOUR(R)
	CURVE_BEGIN(0,88)
		CURVE_CUBIC_SET(+15,+0, -13,+7, 44,77)
		CURVE_SMOOTH_SET(-7,+13, 77,44)
		CURVE_SMOOTH(+0,+15, 88,0)
		CURVE_SMOOTH(+7,+13, 77,-44)
		CURVE_SMOOTH(+13,+7, 44,-77)
		CURVE_SMOOTH(+15,+0, 0,-88)
	CURVE_END()
	COLOUR(Y)
	RECTANGLE(-5,-101, 5,101)
	CURVE_BEGIN(-83,58)
		CURVE_CUBIC_SET(+15,+5, -15,0, 10,69)
		CURVE_SMOOTH_SET(-15,+5, 85,56)
		CURVE_LINEAR_SET(92,44)
		CURVE_CUBIC_SET(-15,-5, +15,+0, 20,25)
		CURVE_CUBIC(+15,+0, -15,+15, 101,5)
		CURVE_LINEAR_SET(101,-5)
		CURVE_CUBIC_SET(-15,-8, +15,+3, 62,-18)
		CURVE_CUBIC(+15,-10, -10,+10, 91,-45)
		CURVE_LINEAR_SET(80,-61)
		CURVE_CUBIC_SET(-15,-3, +15,+0, 0,-70)
		CURVE_SMOOTH_SET(+15,-10, -85,-55)
		CURVE_LINEAR_SET(-90,-46)
		CURVE_CUBIC_SET(+15,+15, -15,+0, 0,-25)
		CURVE_CUBIC(-15,+0, +15,-15, -101,-5)
		CURVE_LINEAR_SET(-101,5)
		CURVE_CUBIC_SET(+8,+8, -10,-3, -72,18)
		CURVE_CUBIC(-10,+7, +7,-10, -94,39)
	CURVE_END()
	COLOUR(Vp)
	CURVE_BEGIN(-88,0)
		CURVE_CUBIC_SET(+15,+14, -15,+14, 88,0)
		CURVE_CUBIC(-15,-11, +15,-11, -88,0)
	CURVE_END()
	CURVE_BEGIN(-71,-50)
		CURVE_CUBIC_SET(+15,+11, -15,+12, 48,-54)
		CURVE_CUBIC(-15,-7, +15,-7, -71,-50)
	CURVE_END()
	COLOUR(R)
	CURVE_BEGIN(50,55)
		CURVE_CUBIC_SET(+5,-1, -5,+2, 71,50)
		CURVE_CUBIC(-5,-2, +5,+1, 50,45)
	CURVE_END()
	CURVE_BEGIN(0,10)
		CURVE_CUBIC_SET(+15,+0, -15,+14, 88,0)
		CURVE_CUBIC(-15,-11, +15,+0, 0,-8)
	CURVE_END()
	CURVE_BEGIN(0,-43)
		CURVE_CUBIC_SET(+15,-5, -15,+12, 48,-54)
		CURVE_CUBIC(-15,-5, +15,+0, 0,-58)
	CURVE_END()
	CIRCLE_L(0,-10, 60)
	RECTANGLE(-60,-10, 60,70)
	COLOUR(W)
	CIRCLE_L(0,-10, 33)
	RECTANGLE(-33,-10, 33,40)
	COLOUR(Y)
	CIRCLE(-46,55, 8)
	CIRCLE(0,55, 8)
	CIRCLE(46,55, 8)
	CIRCLE(-46,8, 8)
	CIRCLE(46,8, 8)
	CIRCLE(-35,-40, 8)
	CIRCLE(35,-40, 8)
	COLOUR(Bpp)
	CIRCLE(0,25, 8)
	CIRCLE(-21,0, 8)
	CIRCLE(0,0, 8)
	CIRCLE(21,0, 8)
	CIRCLE(0,-25, 8)
FLAG_END(PT)
FLAG_BEGIN(PW)
	ASPECT_RATIO(8,5)
	FLOOD(Bm)
	COLOUR(Y)
	CIRCLE_L(-15,0, 72)
FLAG_END(PW)
FLAG_BEGIN(PY)
	ASPECT_RATIO(5,3)
	STRIPES_H3(3,R,W,B)
	COLOUR(R)
	CIRCLE_L(0,0, 28)
	COLOUR(W)
	CIRCLE_L(0,0, 18)
	COLOUR(B)
	CIRCLE(0,0, 10)
	COLOUR(Y)
	STAR_5S(0,0, 8)
FLAG_END(PY)
FLAG_BEGIN(QA)
	ASPECT_RATIO(28,11)
	FLOOD(Rpp)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-45,120)
		CURVE_LINEAR(-25,107)
		CURVE_LINEAR(-45,93)
		CURVE_LINEAR(-25,80)
		CURVE_LINEAR(-45,67)
		CURVE_LINEAR(-25,53)
		CURVE_LINEAR(-45,40)
		CURVE_LINEAR(-25,27)
		CURVE_LINEAR(-45,13)
		CURVE_LINEAR(-25,0)
		CURVE_LINEAR(-120,0)
	CURVE_END()
	CURVE_BEGIN(-120,0)
		CURVE_LINEAR(-25,0)
		CURVE_LINEAR(-45,-13)
		CURVE_LINEAR(-25,-27)
		CURVE_LINEAR(-45,-40)
		CURVE_LINEAR(-25,-53)
		CURVE_LINEAR(-45,-67)
		CURVE_LINEAR(-25,-80)
		CURVE_LINEAR(-45,-93)
		CURVE_LINEAR(-25,-107)
		CURVE_LINEAR(-45,-120)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
FLAG_END(QA)
FLAG_BEGIN(RO)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,B,Y,R)
FLAG_END(RO)
FLAG_BEGIN(RS)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,R,Bpp,W)
	COLOUR(R)
	CIRCLE_L(-35,-24, 45)
	RECTANGLE(-65,-24, -5,41)
	COLOUR(W)
	CURVE_BEGIN_MIRROR(-35,85)
		CURVE_CUBIC_SET(+4,+0, +0,-3, -32,78)
		CURVE_CUBIC(+10,+1, +0,+3, -20,73)
		CURVE_CUBIC(+7,-2, +5,+10, -15,57)
		CURVE_SMOOTH_SET(-3,-6, -18,58)
		CURVE_SMOOTH(+3,-1, -19,68)
		CURVE_CUBIC_SET(+0,-3, +3,+6, -21,60)
		CURVE_SMOOTH_SET(-3,-6, -24,61)
		CURVE_SMOOTH(+10,+2, -32,75)
		CURVE_CUBIC_SET(+0,-15, +5,+0, -35,55)
	CURVE_END()
	CURVE_BEGIN_MIRROR(-35,16)
		CURVE_CUBIC_SET(+4,+15, -6,+7, -22,33)
		CURVE_CUBIC(+3,+0, +0,+2, -19,29)
		CURVE_CUBIC(-2,+2, -4,+1, -22,27)
		CURVE_CUBIC(-4,+0, -5,+15, -25,8)
		CURVE_LINEAR_SET(-33,8)
		CURVE_LINEAR(-33,-10)
		CURVE_LINEAR(-23,-10)
		CURVE_LINEAR(-23,7)
		CURVE_CUBIC_SET(+12,+15, -3,-3, -17,34)
		CURVE_SMOOTH_SET(-2,+10, -9,20)
		CURVE_SMOOTH(+4,+15, -10,-34)
		CURVE_CUBIC_SET(-7,+5, +12,-5, -23,-14)
		CURVE_LINEAR_SET(-33,-14)
		CURVE_LINEAR(-33,-34)
		CURVE_LINEAR(-30,-33)
		CURVE_LINEAR(-25,-58)
		CURVE_CUBIC_SET(-5,-5, +3,+7, -35,-64)
	CURVE_END()
	COLOUR(R)
	CIRCLE(-45,32, 1)
	CIRCLE(-25,32, 1)
	COLOUR(Y)
	CURVE_BEGIN(-56,57)
		CURVE_CUBIC_SET(+15,+6, -15,+6, -14,57)
		CURVE_LINEAR_SET(-20,43)
		CURVE_CUBIC_SET(-15,+4, +15,+4, -50,43)
	CURVE_END()
	CIRCLE(-50,-40, 6)
	CIRCLE(-20,-40, 6)
FLAG_END(RS)
FLAG_BEGIN(RU)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,W,B,R)
FLAG_END(RU)
FLAG_BEGIN(RW)
	ASPECT_RATIO(3,2)
	STRIPES_H4(4,Bm,Bm,Y,V)
	COLOUR(Y)
	STAR(12, 13,41, 80,60, 0)
	STAR(12, 41,13, 80,60, 0)
	COLOUR(Bm)
	CIRCLE_L(80,60, 16)
	COLOUR(Y)
	CIRCLE(80,60, 13)
FLAG_END(RW)
FLAG_BEGIN(SA)
	ASPECT_RATIO(3,2)
	FLOOD(Vp)
	CURVE_BEGIN(-58,-40)
		CURVE_LINEAR(-40,-44)
		CURVE_LINEAR(60,-44)
		CURVE_LINEAR(62,-48)
		CURVE_LINEAR(62,-64)
		CURVE_LINEAR(58,-64)
		CURVE_LINEAR(58,-50)
		CURVE_LINEAR(-40,-50)
	CURVE_END()
	CIRCLE(42,-38, 6)
	CIRCLE(42,-56, 6)
FLAG_END(SA)
FLAG_BEGIN(SB)
	ASPECT_RATIO(2,1)
	FLOOD(Y)
	COLOUR(B)
	TRIANGLE(102,-111, -120,120)
	COLOUR(Vp)
	TRIANGLE(-102,111, 120,-120)
	COLOUR(W)
	STAR_5L(-102,88, 24)
	STAR_5L(-58,88, 24)
	STAR_5L(-80,56, 24)
	STAR_5L(-102,24, 24)
	STAR_5L(-58,24, 24)
FLAG_END(SB)
FLAG_BEGIN(SC)
	ASPECT_RATIO(2,1)
	FLOOD(R)
	TRIANGLE(-120,40, 120,-120)
	COLOUR(V)
	TRIANGLE(-120,-40, 120,-120)
	COLOUR(Y)
	TRIANGLE(40,-120, -120,120)
	COLOUR(Bpp)
	TRIANGLE(-40,-120, -120,120)
FLAG_END(SC)
FLAG_BEGIN(SD)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,R,W,N)
	COLOUR(V)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-40,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
FLAG_END(SD)
FLAG_BEGIN(SE)
	ASPECT_RATIO(8,5)
	FLOOD(Bm)
	CROSS(Y, 15, -30)
FLAG_END(SE)
FLAG_BEGIN(SG)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,R,W)
	CIRCLE_L(-70,60, 48)
	COLOUR(R)
	CIRCLE_L(-56,60, 50)
	COLOUR(W)
	STAR_5S(-45,92, 12)
	STAR_5S(-64,70, 12)
	STAR_5S(-26,70, 12)
	STAR_5S(-56,34, 12)
	STAR_5S(-34,34, 12)
FLAG_END(SG)
FLAG_BEGIN(SI)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,W,Bpp,R)
	COLOUR(R)
	CURVE_BEGIN_MIRROR(-60,77)
		CURVE_CUBIC_SET(+7,+0, -5,+5, -44,71)
		CURVE_LINEAR_SET(-45,40)
		CURVE_CUBIC_SET(-1,-12, +15,+15, -60,-3)
	CURVE_END()
	COLOUR(Bpp)
	CURVE_BEGIN_MIRROR(-60,78)
		CURVE_CUBIC_SET(+7,+0, -5,+4, -46,73)
		CURVE_LINEAR_SET(-47,40)
		CURVE_CUBIC_SET(-1,-10, +14,+15, -60,0)
	CURVE_END()
	COLOUR(W)
	CURVE_BEGIN_MIRROR(-60,52)
		CURVE_LINEAR(-56,40)
		CURVE_LINEAR(-54,44)
		CURVE_LINEAR(-48,30)
		CURVE_CUBIC_SET(-1,-9, +8,+8, -60,2)
	CURVE_END()
	COLOUR(Y)
	STAR_5S(-66,68, 6)
	STAR_5S(-60,60, 6)
	STAR_5S(-54,68, 6)
FLAG_END(SI)
FLAG_BEGIN(SK)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,W,B,R)
	CURVE_BEGIN_MIRROR(-48,63)
		CURVE_LINEAR(-16,63)
		CURVE_CUBIC_SET(+2,-12, +0,+15, -14,10)
		CURVE_SMOOTH_SET(+5,+10, -22,-30)
		CURVE_SMOOTH(+15,+8, -48,-63)
	CURVE_END()
	COLOUR(R)
	CURVE_BEGIN_MIRROR(-48,60)
		CURVE_LINEAR(-18,60)
		CURVE_CUBIC_SET(+2,-15, +0,+15, -16,10)
		CURVE_SMOOTH_SET(+5,+10, -25,-30)
		CURVE_LINEAR_SET(-48,-30)
	CURVE_END()
	COLOUR(W)
	CURVE_BEGIN_MIRROR(-48,55)
		CURVE_CUBIC_SET(+2,+0, -2,-1, -43,56)
		CURVE_CUBIC(-2,-5, +0,+5, -45,38)
		CURVE_CUBIC(+5,+0, -5,-2, -32,40)
		CURVE_CUBIC(-2,-3, -2,+3, -32,27)
		CURVE_CUBIC(-5,+2, +5,+0, -45,29)
		CURVE_LINEAR_SET(-45,15)
		CURVE_CUBIC_SET(+5,+0, -5,-2, -28,17)
		CURVE_CUBIC(-2,-3, -2,+3, -28,3)
		CURVE_CUBIC(-5,+2, +5,+0, -45,5)
		CURVE_LINEAR_SET(-45,-20)
		CURVE_LINEAR(-48,-20)
	CURVE_END()
	COLOUR(Bpp)
	CURVE_BEGIN_MIRROR(-48,-12)
		CURVE_CUBIC_SET(+6,+0, -1,+6, -38,-22)
		CURVE_CUBIC(+3,+8, -3,+15, -25,-30)
		CURVE_CUBIC(-5,-10, +12,+8, -48,-59)
	CURVE_END()
FLAG_END(SK)
FLAG_BEGIN(SL)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,V,W,B)
FLAG_END(SL)
FLAG_BEGIN(SM)
	ASPECT_RATIO(4,3)
	STRIPES_H2(2,W,Bm)
	COLOUR(O)
	CURVE_BEGIN_MIRROR(0,60)
		CURVE_CUBIC_SET(+2,+0, -2,+2, 2,49)
		CURVE_CUBIC(+5,-5, +5,+15, 14,30)
		CURVE_LINEAR_SET(12,31)
		CURVE_CUBIC_SET(+4,+12, +5,-5, 2,46)
		CURVE_CUBIC(+1,-1, +4,+0, 0,40)
	CURVE_END()
	CURVE_BEGIN(-14,30)
		CURVE_CUBIC_SET(+10,+10, -10,+10, 14,30)
		CURVE_LINEAR_SET(12,21)
		CURVE_CUBIC_SET(-6,+4, +6,+4, -12,21)
	CURVE_END()
	COLOUR(M)
	CURVE_BEGIN_MIRROR(0,15)
		CURVE_CUBIC_SET(+15,+10, -1,+15, 21,0)
		CURVE_SMOOTH_SET(+15,+4, 0,-40)
	CURVE_END()
	COLOUR(Bm)
	CURVE_BEGIN_MIRROR(0,13)
		CURVE_CUBIC_SET(+15,+9, +3,+15, 16,-16)
		CURVE_LINEAR_SET(0,-16)
	CURVE_END()
	COLOUR(Vp)
	CURVE_BEGIN_MIRROR(0,-16)
		CURVE_LINEAR(16,-16)
		CURVE_CUBIC_SET(-1,-5, +8,+3, 0,-38)
	CURVE_END()
	COLOUR(M)
	FOR_TRANSLATE(3, +10,+0)
		CURVE_BEGIN(-12,-16)
			CURVE_CUBIC_SET(+2,+15, -3,+0, -11,1)
			CURVE_CUBIC(-3,+8, +3,+8, -9,1)
			CURVE_CUBIC(+3,+0, -2,+15, -8,-16)
		CURVE_END()
FLAG_END(SM)
FLAG_BEGIN(SN)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,V,Y,R)
	COLOUR(V)
	STAR_5L(0,0, 40)
FLAG_END(SN)
FLAG_BEGIN(SO)
	ASPECT_RATIO(3,2)
	FLOOD(Bm)
	STAR_5L(0,0, 60)
FLAG_END(SO)
FLAG_BEGIN(SR)
	ASPECT_RATIO(3,2)
	FLOOD(V)
	BLOCK_H(W, -72,72)
	BLOCK_H(R, -48,48)
	COLOUR(Y)
	STAR_5L(0,-4, 48)
FLAG_END(SR)
FLAG_BEGIN(SS)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,N,R,V)
	BLOCK_H(W, 32,48)
	BLOCK_H(W, -48,-32)
	COLOUR(B)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-16,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(Y)
	STAR(5, 36,0, -84,0, -12)
FLAG_END(SS)
FLAG_BEGIN(ST)
	ASPECT_RATIO(2,1)
	FLOOD(V)
	BLOCK_H(Y, -51,51)
	COLOUR(R)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-60,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(N)
	STAR_5L(0,0, 34)
	STAR_5L(60,0, 34)
FLAG_END(ST)
FLAG_BEGIN(SV)
	ASPECT_RATIO(39,22)
	STRIPES_H3(3,B,W,B)
	COLOUR(B)
	CURVE_BEGIN(0,23)
		CURVE_LINEAR(10,-10)
		CURVE_LINEAR(-10,-10)
	CURVE_END()
	COLOUR(V)
	CURVE_BEGIN_MIRROR(0,-20)
		CURVE_CUBIC_SET(+15,+0, +5,-15, 9,21)
		CURVE_CUBIC(+12,-15, +15,+0, 0,-30)
	CURVE_END()
FLAG_END(SV)
FLAG_BEGIN(SY)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,R,W,N)
	COLOUR(V)
	STAR_5L(-40,0, 30)
	STAR_5L(40,0, 30)
FLAG_END(SY)
FLAG_BEGIN(SZ)
	ASPECT_RATIO(3,2)
	STRIPES_H4(4,Bm,Rpp,Rpp,Bm)
	BLOCK_H(Y, 60,75)
	BLOCK_H(Y, -75,-60)
	COLOUR(Y)
	RECTANGLE(-67,21, 72,25)
	RECTANGLE(-79,10, 60,14)
	RECTANGLE(-90,-2, 98,2)
	COLOUR(W)
	CURVE_BEGIN(65,23)
		CURVE_LINEAR(77,30)
		CURVE_LINEAR(89,23)
		CURVE_LINEAR(77,16)
	CURVE_END()
	CURVE_BEGIN(53,12)
		CURVE_LINEAR(65,19)
		CURVE_LINEAR(77,12)
		CURVE_LINEAR(65,5)
	CURVE_END()
	CURVE_BEGIN(0,55)
		CURVE_CUBIC_SET(+15,+0, -10,+15, 40,30)
		CURVE_SMOOTH_SET(-10,+15, 58,0)
		CURVE_CUBIC_SET(-10,-15, +10,+15, 40,-30)
		CURVE_SMOOTH_SET(+15,+0, 0,-55)
		CURVE_SMOOTH(-15,+0, 0,55)
	CURVE_END()
	COLOUR(N)
	CURVE_BEGIN(0,-55)
		CURVE_CUBIC_SET(-15,+0, +10,-15, -40,-30)
		CURVE_SMOOTH_SET(+10,-15, -58,0)
		CURVE_CUBIC_SET(+10,+15, -10,-15, -40,30)
		CURVE_SMOOTH_SET(-15,+0, 0,55)
		CURVE_CUBIC_SET(-10,-10, +15,+15, 4,-30)
		CURVE_CUBIC(+10,-10, +1,+5, 1,-45)
		CURVE_SMOOTH_SET(+15,+0, 0,-55)
	CURVE_END()
	COLOUR(W)
	FOR_TRANSLATE(6, +6,+0)
		FOR_SCALE(+1,-1)
			RECTANGLE(-38,6, -35,21)
	COLOUR(N)
	FOR_TRANSLATE(6, +6,+0)
		FOR_SCALE(+1,-1)
			RECTANGLE(8,6, 11,21)
	COLOUR(Bm)
	CIRCLE(-20,33, 9)
	CIRCLE_L(-71,-17, 18)
	CIRCLE_L(80,-17, 17)
FLAG_END(SZ)
FLAG_BEGIN(TC)
	ASPECT_RATIO(2,1)
	FLOOD(Bpp)
	JACK()
	COLOUR(Y)
	CURVE_BEGIN_MIRROR(60,60)
		CURVE_LINEAR(83,60)
		CURVE_LINEAR(83,0)
		CURVE_CUBIC_SET(+0,-15, +15,+15, 60,-60)
	CURVE_END()
FLAG_END(TC)
FLAG_BEGIN(TD)
	ASPECT_RATIO(3,2)
	STRIPES_V3(3,Bpp,Y,R)
FLAG_END(TD)
FLAG_BEGIN(TG)
	ASPECT_RATIO(3,2)
	STRIPES_H2(5,V,Y)
	COLOUR(R)
	RECTANGLE(-120,-24, -24,120)
	COLOUR(W)
	STAR_5L(-72,48, 36)
FLAG_END(TG)
FLAG_BEGIN(TH)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	BLOCK_H(W, -80,80)
	BLOCK_H(Bpp, -40,40)
FLAG_END(TH)
FLAG_BEGIN(TJ)
	ASPECT_RATIO(2,1)
	FLOOD(W)
	BLOCK_H(Rp, 51,120)
	BLOCK_H(Vp, -120,-51)
FLAG_END(TJ)
FLAG_BEGIN(TM)
	ASPECT_RATIO(3,2)
	FLOOD(Vp)
	BLOCK_V(Rpp, -98,-54)
	CIRCLE_L(-20,65, 35)
	COLOUR(Vp)
	CIRCLE_L(-25,70, 35)
	COLOUR(W)
	STAR(5, 2,6, -27,90, 0)
	STAR(5, 2,6, -17,81, 0)
	STAR(5, 2,6, -27,75, 0)
	STAR(5, 2,6, -37,69, 0)
	STAR(5, 2,6, -27,60, 0)
FLAG_END(TM)
FLAG_BEGIN(TN)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	CIRCLE_L(0,0, 60)
	COLOUR(R)
	CIRCLE_L(0,0, 45)
	COLOUR(W)
	CIRCLE_L(8,0, 36)
	COLOUR(R)
	STAR(5, 27,0, 8,0, 36)
FLAG_END(TN)
FLAG_BEGIN(TO)
	ASPECT_RATIO(2,1)
	FLOOD(R)
	RECTANGLE(-120,0, -21,120)
	COLOUR(R)
	RECTANGLE(-78,15, -63,105)
	RECTANGLE(-93,45, -48,75)
FLAG_END(TO)
FLAG_BEGIN(TR)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	CIRCLE_L(-40,0, 60)
	COLOUR(R)
	CIRCLE_L(-30,0, 48)
	COLOUR(W)
	STAR(5, 30,0, 16,0, 36)
FLAG_END(TR)
FLAG_BEGIN(TT)
	ASPECT_RATIO(5,3)
	FLOOD(R)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-48,120)
		CURVE_LINEAR(120,-120)
		CURVE_LINEAR(48,-120)
	CURVE_END()
	COLOUR(N)
	CURVE_BEGIN(-108,120)
		CURVE_LINEAR(-60,120)
		CURVE_LINEAR(108,-120)
		CURVE_LINEAR(60,-120)
	CURVE_END()
FLAG_END(TT)
FLAG_BEGIN(TV)
	ASPECT_RATIO(2,1)
	FLOOD(Bm)
	JACK()
	COLOUR(Y)
	STAR_5L(104,89, 20)
	STAR(5, 20,0, 82,53, 72)
	STAR(5, 20,0, 61,36, 72)
	STAR_5L(104,-6, 20)
	STAR(5, 20,0, 35,-33, 72)
	STAR_5L(82,-33, 20)
	STAR(5, 20,0, 61,-71, 72)
	STAR(5, 20,0, 35,-83, 72)
	STAR_5L(11,-95, 20)
FLAG_END(TV)
FLAG_BEGIN(TW)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	COLOUR(Bpp)
	RECTANGLE(-120,0, 0,120)
	COLOUR(W)
	STAR(12, 45,25, -60,60, 0)
	COLOUR(Bpp)
	CIRCLE_L(-60,60, 26)
	COLOUR(W)
	CIRCLE_L(-60,60, 23)
FLAG_END(TW)
FLAG_BEGIN(TZ)
	ASPECT_RATIO(3,2)
	FLOOD(Bm)
	COLOUR(V)
	TRIANGLE(120,-120, -120,120)
	COLOUR(Y)
	DIAGONAL(2, 57)
	COLOUR(N)
	DIAGONAL(2, 39)
FLAG_END(TZ)
FLAG_BEGIN(UA)
	ASPECT_RATIO(3,2)
	STRIPES_H2(2,Bm,Y)
FLAG_END(UA)
FLAG_BEGIN(UG)
	ASPECT_RATIO(3,2)
	STRIPES_H3(6, N,Y,R)
	CIRCLE_L(0,0, 40)
	COLOUR(N)
	CURVE_BEGIN(0,-29)
		CURVE_LINEAR(0,-18)
		CURVE_CUBIC_SET(-10,+0, +3,+0, -10,-23)
		CURVE_CUBIC(+0,+5, -10,+0, 0,-16)
		CURVE_LINEAR_SET(0,-10)
		CURVE_CUBIC_SET(-15,+15, +0,-5, -4,20)
		CURVE_CUBIC(-6,-1, -6,+0, -5,22)
		CURVE_CUBIC(+1,+6, +1,-4, -6,30)
		CURVE_CUBIC(+4,+3, +0,+10, 4,25)
		CURVE_CUBIC(-3,-1, +5,+5, 0,17)
		CURVE_CUBIC(-1,-7, -12,+8, 7,3)
		CURVE_SMOOTH_SET(+8,+8, 10,-22)
		CURVE_CUBIC_SET(+2,+8, -2,-6, 10,-17)
		CURVE_SMOOTH_SET(+5,+0, 3,-10)
		CURVE_CUBIC_SET(+4,-7, +8,+0, 2,-18)
		CURVE_LINEAR_SET(2,-29)
		CURVE_CUBIC_SET(+7,+0, +8,+4, -4,-33)
		CURVE_CUBIC(+5,+3, +5,-1, -5,-29)
	CURVE_END()
	COLOUR(W)
	CURVE_BEGIN(2,-12)
		CURVE_CUBIC_SET(+2,-5, +4,+0, 2,-16)
	CURVE_END()
	CIRCLE(-3,23, 1)
FLAG_END(UG)
FLAG_BEGIN(US)
	ASPECT_RATIO(19,10)
	STRIPES_H2(13,Rp,W)
	VIEWBOX(-120,-9, -20,120)
	FLOOD(Bpp)
	FOR_TRANSLATE(5, +0,-48)
		FOR_TRANSLATE(6, +40,+0)
			STAR_5S(-100,96, 16)
	FOR_TRANSLATE(4, +0,-48)
		FOR_TRANSLATE(5, +40,+0)
			STAR_5S(-80,72, 16)
FLAG_END(US)
FLAG_BEGIN(UY)
	ASPECT_RATIO(3,2)
	STRIPES_H2(9,W,Bm)
	RECTANGLE(-120,-13, -31,120)
	COLOUR(Y)
	STAR(16, 55,25, -76,54, 0)
FLAG_END(UY)
FLAG_BEGIN(UZ)
	ASPECT_RATIO(2,1)
	STRIPES_H3(3,Bm,W,V)
	BLOCK_H(Rp, 37,42)
	BLOCK_H(Rp, -42,-37)
	CIRCLE_L(-86,81, 29)
	COLOUR(Bm)
	CIRCLE_L(-83,81, 28)
	COLOUR(W)
	FOR_TRANSLATE(3, -11,+0)
	   STAR_5S(-32,105, 7)
	FOR_TRANSLATE(4, -11,+0)
	   STAR_5S(-32,81, 7)
	FOR_TRANSLATE(5, -11,+0)
	   STAR_5S(-32,57, 7)
FLAG_END(UZ)
FLAG_BEGIN(VA)
	ASPECT_RATIO(1,1)
	STRIPES_V2(2,Y,W)
	COLOUR(Gm)
	CURVE_BEGIN(90,-20)
		CURVE_LINEAR(32,38)
		CURVE_CUBIC_SET(-9,+9, -9,+9, 29,33)
		CURVE_CUBIC(-9,-9, -8,+9, 26,18)
		CURVE_CUBIC(+5,+10, +10,+5, 28,16)
		CURVE_CUBIC(+9,-8, -9,-9, 43,19)
		CURVE_LINEAR_SET(86,-24)
	CURVE_END()
	CIRCLE(90,-24, 11)
	COLOUR(Y)
	CURVE_BEGIN(30,-20)
		CURVE_LINEAR(88,38)
		CURVE_CUBIC_SET(+9,+9, +9,+9, 91,33)
		CURVE_CUBIC(+9,-9, +8,+9, 94,18)
		CURVE_CUBIC(-5,+10, -10,+5, 92,16)
		CURVE_CUBIC(-9,-8, +9,-9, 77,19)
		CURVE_LINEAR_SET(34,-24)
	CURVE_END()
	CIRCLE(30,-24, 11)
	CURVE_BEGIN_MIRROR(60,59)
		CURVE_CUBIC_SET(+3,+0, +2,+2, 61,55)
		CURVE_CUBIC(+10,-5, +5,+15, 68,24)
		CURVE_CUBIC(-2,+1, +4,+0, 60,26)
	CURVE_END()
	COLOUR(W)
	CIRCLE(90,-24, 5)
	CIRCLE(30,-24, 5)
FLAG_END(VA)
FLAG_BEGIN(VC)
	ASPECT_RATIO(3,2)
	STRIPES_V4(4,B,Y,Y,V)
	COLOUR(V)
	CURVE_BEGIN(-18,43)
		CURVE_LINEAR(-3,3)
		CURVE_LINEAR(-18,-37)
		CURVE_LINEAR(-33,3)
	CURVE_END()
	CURVE_BEGIN(18,42)
		CURVE_LINEAR(33,2)
		CURVE_LINEAR(18,-38)
		CURVE_LINEAR(3,2)
	CURVE_END()
	CURVE_BEGIN(0,-3)
		CURVE_LINEAR(15,-43)
		CURVE_LINEAR(0,-83)
		CURVE_LINEAR(-15,-43)
	CURVE_END()
FLAG_END(VC)
FLAG_BEGIN(VE)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,Y,B,R)
	STAR_5S(-48,-24, 11)
	STAR(5, 11,0, -39,-1, 14)
	STAR(5, 11,0, -25,14, 27)
	STAR(5, 11,0, -9,23, 41)
	STAR(5, 11,0, 9,23, 55)
	STAR(5, 11,0, 25,14, 69)
	STAR(5, 11,0, 39,-1, 82)
	STAR_5S(48,-24, 11)
FLAG_END(VE)
FLAG_BEGIN(VG)
	ASPECT_RATIO(2,1)
	FLOOD(Bpp)
	JACK()
	COLOUR(Vp)
	CURVE_BEGIN_MIRROR(60,52)
		CURVE_LINEAR(80,52)
		CURVE_LINEAR(80,-20)
		CURVE_CUBIC_SET(+0,-15, +15,+9, 60,-51)
	CURVE_END()
	COLOUR(Y)
	CURVE_BEGIN_MIRROR(60,-52)
		CURVE_CUBIC_SET(+7,+0, -4,-15, 81,-31)
		CURVE_CUBIC(+8,-15, +5,-5, 81,-48)
		CURVE_CUBIC(-5,-10, +10,+0, 60,-66)
	CURVE_END()
FLAG_END(VG)
FLAG_BEGIN(VI)
	ASPECT_RATIO(3,2)
	FLOOD(W)
	COLOUR(Y)
	CURVE_BEGIN(15,39)
		CURVE_CUBIC_SET(-5,+15, +15,+0, 0,86)
		CURVE_CUBIC(-4,+0, +2,+4, -10,80)
		CURVE_CUBIC(-5,+0, +0,+4, -18,69)
		CURVE_CUBIC(+2,+2, -2,+2, -11,70)
		CURVE_CUBIC(-1,-15, +5,+15, -15,39)
	CURVE_END()
	COLOUR(R)
	FOR_TRANSLATE(6, +9,+0)
		RECTANGLE(-25,-41, -21,18)
	COLOUR(W)
	CURVE_BEGIN_MIRROR(0,-41)
		CURVE_CUBIC_SET(+14,+8, -3,-15, 30,3)
		CURVE_LINEAR_SET(30,-45)
		CURVE_LINEAR(0,-45)
	CURVE_END()
	CIRCLE(-5,74, 2)
	COLOUR(Y)
	CURVE_BEGIN_MIRROR(0,30)
		CURVE_LINEAR(30,30)
		CURVE_CUBIC_SET(+15,+0, +5,-12, 31,50)
		CURVE_SMOOTH_SET(-15,-6, 102,81)
		CURVE_SMOOTH(+15,+8, 83,40)
		CURVE_SMOOTH(+15,+2, 27,-6)
		CURVE_CUBIC_SET(+15,-15, -6,+4, 39,-42)
		CURVE_SMOOTH_SET(+10,+10, 53,-57)
		CURVE_SMOOTH(+3,-4, 36,-44)
		CURVE_SMOOTH(+10,-15, 16,-26)
		CURVE_CUBIC_SET(+6,+10, -5,-10, 27,-6)
		CURVE_CUBIC(+3,+12, +0,-15, 30,30)
		CURVE_LINEAR_SET(0,30)
	CURVE_END()
	CURVE_BEGIN_MIRROR(0,-41)
		CURVE_CUBIC_SET(+7,+4, -5,-5, 13,-30)
		CURVE_CUBIC(+7,-15, +15,+15, 15,-65)
		CURVE_SMOOTH_SET(+4,+5, 0,-84)
	CURVE_END()
	COLOUR(B)
	CURVE_BEGIN_MIRROR(0,46)
		CURVE_CUBIC_SET(+10,-8, -10,-8, 30,46)
		CURVE_LINEAR_SET(30,18)
		CURVE_LINEAR(0,18)
	CURVE_END()
FLAG_END(VI)
FLAG_BEGIN(VN)
	ASPECT_RATIO(3,2)
	FLOOD(R)
	COLOUR(Y)
	STAR_5L(0,0, 80)
FLAG_END(VN)
FLAG_BEGIN(VU)
	ASPECT_RATIO(36,19)
	FLOOD(N)
	COLOUR(R)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(120,120)
		CURVE_LINEAR(120,21)
		CURVE_LINEAR(-8,21)
	CURVE_END()
	COLOUR(Vp)
	CURVE_BEGIN(-120,-120)
		CURVE_LINEAR(120,-120)
		CURVE_LINEAR(120,-21)
		CURVE_LINEAR(-8,-21)
	CURVE_END()
	COLOUR(Y)
	CURVE_BEGIN(-120,105)
		CURVE_LINEAR(-10,6)
		CURVE_LINEAR(120,6)
		CURVE_LINEAR(120,-6)
		CURVE_LINEAR(-10,-6)
		CURVE_LINEAR(-120,-105)
		CURVE_LINEAR(-120,-92)
		CURVE_LINEAR(-18,0)
		CURVE_LINEAR(-120,92)
	CURVE_END()
	CIRCLE_L(-90,0, 40)
	COLOUR(N)
	CIRCLE_L(-90,0, 32)
	COLOUR(Y)
	STAR(4, 4,24, -90,0, 0)
FLAG_END(VU)
FLAG_BEGIN(WS)
	ASPECT_RATIO(2,1)
	FLOOD(R)
	COLOUR(Bpp)
	RECTANGLE(-120,0, 0,120)
	COLOUR(W)
	STAR_5S(-60,104, 13)
	STAR_5S(-41,75, 13)
	STAR_5S(-78,68, 12)
	STAR_5S(-51,50, 9)
	STAR_5L(-60,18, 17)
FLAG_END(WS)
FLAG_BEGIN(YE)
	ASPECT_RATIO(3,2)
	STRIPES_H3(3,R,W,N)
FLAG_END(YE)
FLAG_BEGIN(ZA)
	ASPECT_RATIO(3,2)
	FLOOD(V)
	CURVE_BEGIN(-90,120)
		CURVE_LINEAR(2,28)
		CURVE_LINEAR(120,28)
		CURVE_LINEAR(120,120)
	CURVE_END()
	CURVE_BEGIN(-90,-120)
		CURVE_LINEAR(2,-28)
		CURVE_LINEAR(120,-28)
		CURVE_LINEAR(120,-120)
	CURVE_END()
	COLOUR(R)
	CURVE_BEGIN(-70,120)
		CURVE_LINEAR(5,45)
		CURVE_LINEAR(120,45)
		CURVE_LINEAR(120,120)
	CURVE_END()
	COLOUR(B)
	CURVE_BEGIN(-70,-120)
		CURVE_LINEAR(5,-45)
		CURVE_LINEAR(120,-45)
		CURVE_LINEAR(120,-120)
	CURVE_END()
	COLOUR(Y)
	CURVE_BEGIN(-120,85)
		CURVE_LINEAR(-35,0)
		CURVE_LINEAR(-120,-85)
	CURVE_END()
	COLOUR(N)
	CURVE_BEGIN(-120,65)
		CURVE_LINEAR(-55,0)
		CURVE_LINEAR(-120,-65)
	CURVE_END()
FLAG_END(ZA)
FLAG_BEGIN(ZM)
	ASPECT_RATIO(3,2)
	FLOOD(V)
	BLOCK_V(O, 91,120)
	BLOCK_V(N, 62,91)
	BLOCK_V(R, 33,62)
	BLOCK_H(V, 34,120)
	COLOUR(O)
	CURVE_BEGIN(74,92)
		CURVE_CUBIC_SET(+15,+0, -5,+8, 116,101)
		CURVE_SMOOTH_SET(+15,+0, 80,67)
		CURVE_LINEAR_SET(80,60)
		CURVE_CUBIC_SET(+7,-10, -5,-10, 76,60)
		CURVE_CUBIC(-2,+15, +0,+15, 73,60)
		CURVE_CUBIC(+5,-10, -7,-10, 69,60)
		CURVE_LINEAR_SET(70,70)
		CURVE_CUBIC_SET(-15,+1, -5,-8, 32,103)
		CURVE_SMOOTH_SET(-15,+2, 65,93)
		CURVE_CUBIC_SET(+0,+13, -1,+8, 77,97)
		CURVE_CUBIC(-2,+2, -3,+5, 74,92)
	CURVE_END()
	COLOUR(N)
	CIRCLE(71,100, 1)
FLAG_END(ZM)
FLAG_BEGIN(ZW)
	ASPECT_RATIO(2,1)
	FLOOD(V)
	BLOCK_H(Y, -85,85)
	BLOCK_H(R, -51,51)
	COLOUR(N)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-116,120)
		CURVE_LINEAR(-47,17)
		CURVE_LINEAR(120,17)
		CURVE_LINEAR(120,-17)
		CURVE_LINEAR(-47,-17)
		CURVE_LINEAR(-116,-120)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(W)
	CURVE_BEGIN(-120,120)
		CURVE_LINEAR(-40,0)
		CURVE_LINEAR(-120,-120)
	CURVE_END()
	COLOUR(R)
	STAR(5, 53,26, -88,3, 0)
	COLOUR(Y)
	CURVE_BEGIN(-98,-37)
		CURVE_CUBIC_SET(+0,+7, +1,+0, -100,-15)
		CURVE_CUBIC(-3,+0, -2,-8, -98,2)
		CURVE_CUBIC(+0,+15, -2,+0, -96,22)
		CURVE_CUBIC(+0,+15, +6,+3, -102,47)
		CURVE_CUBIC(+11,+15, +0,+15, -90,32)
		CURVE_CUBIC(+3,+0, +15,-12, -73,0)
		CURVE_CUBIC(-3,-10, +0,+7, -78,-37)
	CURVE_END()
	COLOUR(N)
	CIRCLE(-95,49, 1)
FLAG_END(ZW)
